=== release 1.20.0 ===

2022-02-03 19:53:25 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* README:
	* RELEASE:
	* gst-plugins-ugly.doap:
	* meson.build:
	  Release 1.20.0

2022-02-03 19:53:18 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	  Update ChangeLogs for 1.20.0

=== release 1.19.90 ===

2022-01-28 14:28:35 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* gst-plugins-ugly.doap:
	* meson.build:
	  Release 1.19.90

2022-01-28 14:28:28 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	  Update ChangeLogs for 1.19.90

2022-01-27 01:39:28 +0000  Tim-Philipp Müller <tim@centricular.com>

	* po/LINGUAS:
	* po/ro.po:
	  gst-plugins-ugly: update translations
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1579>

2022-01-05 02:07:59 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* docs/meson.build:
	* meson.build:
	  meson: Add explicit check: kwarg to all run_command() calls
	  This is required since Meson 0.61.0, and causes a warning to be
	  emitted otherwise:
	  https://github.com/mesonbuild/meson/commit/2c079d855ed87488bdcc6c5c06f59abdb9b85b6c
	  https://github.com/mesonbuild/meson/issues/9300
	  This exposed a bunch of places where we had broken run_command()
	  calls, unnecessary run_command() calls, and places where check: true
	  should be used.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1507>

2021-11-03 18:44:03 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development

=== release 1.19.3 ===

2021-11-03 15:43:36 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* gst-plugins-ugly.doap:
	* meson.build:
	  Release 1.19.3

2021-11-03 15:43:32 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	  Update ChangeLogs for 1.19.3

2021-10-25 11:37:45 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  meson: require matching GStreamer dep versions for unstable development releases
	  Fixes https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/issues/929
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1244>

2021-10-25 01:02:36 +0100  Tim-Philipp Müller <tim@centricular.com>

	* po/af.po:
	* po/ast.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/fur.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/ms.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/ta.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	* po/zh_TW.po:
	  gst-plugins-ugly: update translations
	  Fixes #656
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1240>

2021-10-21 00:33:06 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson_options.txt:
	  meson: default to gpl=disabled for gst-plugins-bad and -ugly
	  This will only affect individual/tarball module builds, as the
	  options yield to the parent project which was set to gpl=disabled
	  by default already. We kept it as auto in the original commit
	  to accommodate the need to update cerbero as well, which had to
	  be done separately after the initial commit.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1217>

2021-10-18 15:47:00 +0100  Tim-Philipp Müller <tim@centricular.com>

	* tests/check/meson.build:
	  meson: update for meson.build_root() and .build_source() deprecation
	  -> use meson.project_build_root() or .global_build_root() instead.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1183>

2021-10-18 00:40:14 +0100  Tim-Philipp Müller <tim@centricular.com>

	* docs/meson.build:
	* tests/check/meson.build:
	  meson: update for dep.get_pkgconfig_variable() deprecation
	  ... in favour of dep.get_variable('foo', ..) which in some
	  cases allows for further cleanups in future since we can
	  extract variables from pkg-config dependencies as well as
	  internal dependencies using this mechanism.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1183>

2021-10-18 00:03:47 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  meson: clean up conditional paths after version bump
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1183>

2021-10-14 18:38:26 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  meson: bump meson requirement to >= 0.59
	  For monorepo build and ugly/bad, for advanced feature
	  option API like get_option('xyz').required(..) which
	  we use in combination with the 'gpl' option.
	  For rest of modules for consistency (people will likely
	  use newer features based on the top-level requirement).
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1084>

2021-09-19 00:55:34 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ext/a52dec/meson.build:
	* ext/cdio/meson.build:
	* ext/dvdread/meson.build:
	* ext/mpeg2dec/meson.build:
	* ext/sidplay/meson.build:
	* ext/x264/meson.build:
	* meson.build:
	* meson_options.txt:
	  meson: add 'gpl' option and only build plugins with (A)GPL deps if explicitly enabled
	  Require explicit opt-in to build plugins with (A)GPL dependencies.
	  Keep ugly/bad options on 'auto' for now so cerbero doesn't fail.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1084>

2021-10-12 15:52:48 -0300  Thibault Saunier <tsaunier@igalia.com>

	* docs/meson.build:
	  meson: Streamline the way we detect when to build documentation
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1093>

2021-09-28 10:11:15 +1000  Brad Hards <bradh@frogmouth.net>

	* README:
	* RELEASE:
	  doc: update IRC links to OFTC
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/945>

2021-09-26 01:07:02 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/925>

=== release 1.19.2 ===

2021-09-23 01:34:00 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* gst-plugins-ugly.doap:
	* meson.build:
	  Release 1.19.2

2021-09-21 15:05:58 +0200  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* ext/x264/gstx264enc.c:
	  x264enc: Strip trailing whitespace from x264's log messages
	  x264 has linebreaks at the end of its log messages that we should
	  ignore.
	  Add G_GNUC_PRINTF to the callback to make sure GCC lets us forward the
	  format string to another function marked as printf (g_strdup_vprintf)
	  without triggering -Wformat-nonliteral.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-ugly/-/merge_requests/85>

2021-09-21 14:57:29 +0200  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* ext/x264/gstx264enc.c:
	  x264enc: Add the func/line info to the log callback
	  It looks awkward when it's missing. At least point us at the callback
	  function.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-ugly/-/merge_requests/85>

2021-09-21 14:56:23 +0200  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* ext/x264/gstx264enc.c:
	  x264enc: Reduce log spam about bit depth support
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-ugly/-/merge_requests/85>

2021-07-28 11:49:16 +0200  Stéphane Cerveau <scerveau@collabora.com>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  mpeg2dec: drop B-frame on open gop
	  Enhance open gop detection to drop B-frame which are invalid
	  before the first reference frame.
	  In stream such
	  gst-integration-testsuites/medias/defaults/mxf/op2b-mpeg2-wave_hd.mxf,
	  the two first frames must be dropped as we detect an open GOP situation
	  but in another media, such as http://col.la/1920X1080IXDCAMEX5MIN, the
	  first frames should not be dropped as we are in a closed GOP situation.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-ugly/-/merge_requests/84>

2021-05-22 01:53:43 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ext/x264/gstencoderbitrateprofilemanager.c:
	* gst/asfdemux/gstasfdemux.c:
	* gst/realmedia/rtspreal.c:
	* meson.build:
	  Use g_memdup2() where available and add fallback for older GLib versions
	  - x264 encoder bitrate profile manager: alloc size is based
	  on existing allocation
	  - asfdemux: change length var to 64-bit and check for G_MAXUINT
	  - realmedia: opaque_data_len is read from 32 bits and then
	  only subtracted upon.
	  g_memdup() is deprecated since GLib 2.68 and we want to avoid
	  deprecation warnings with recent versions of GLib.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-ugly/-/merge_requests/83>

2021-06-01 15:28:40 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development

=== release 1.19.1 ===

2021-06-01 00:12:09 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* README:
	* RELEASE:
	* gst-plugins-ugly.doap:
	* meson.build:
	  Release 1.19.1

2018-02-26 17:28:25 +0100  David Fernandez <d.fernandezlop@gmail.com>

	* docs/gst_plugins_cache.json:
	* ext/x264/gstx264enc.c:
	  x264enc: Change accepted caps width and height from [16, MAX] to [1, MAX]
	  There are cases where the video size might be less than 16x16.
	  This change allows the x264 encoder to accept this cases.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-ugly/-/merge_requests/44>

2021-04-20 18:48:38 -0400  Doug Nazar <nazard@nazar.ca>

	* gst/realmedia/rmdemux.c:
	* gst/realmedia/rmdemux.h:
	  realmedia: Drop duplicate seek events.
	  Also use seek seqnum for flush & segment events/messages.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-ugly/-/merge_requests/81>

2021-04-20 18:47:31 -0400  Doug Nazar <nazard@nazar.ca>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: Drop duplicate seek events.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-ugly/-/merge_requests/81>

2021-03-29 13:41:07 +0200  Stéphane Cerveau <scerveau@collabora.com>

	* gst/xingmux/gstxingmux.c:
	* gst/xingmux/gstxingmux.h:
	* gst/xingmux/plugin.c:
	  xingmux: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-ugly/-/merge_requests/79>

2021-03-29 13:39:20 +0200  Stéphane Cerveau <scerveau@collabora.com>

	* gst/realmedia/pnmsrc.c:
	* gst/realmedia/pnmsrc.h:
	* gst/realmedia/rademux.c:
	* gst/realmedia/rademux.h:
	* gst/realmedia/rdtdepay.c:
	* gst/realmedia/rdtdepay.h:
	* gst/realmedia/rdtmanager.c:
	* gst/realmedia/rdtmanager.h:
	* gst/realmedia/realmedia.c:
	* gst/realmedia/rmdemux.c:
	* gst/realmedia/rmdemux.h:
	* gst/realmedia/rtspreal.c:
	* gst/realmedia/rtspreal.h:
	  realmedia: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-ugly/-/merge_requests/79>

2021-03-29 13:23:51 +0200  Stéphane Cerveau <scerveau@collabora.com>

	* gst/dvdsub/gstdvdsubdec.c:
	* gst/dvdsub/gstdvdsubdec.h:
	* gst/dvdsub/gstdvdsubparse.c:
	* gst/dvdsub/gstdvdsubparse.h:
	  dvdsub: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-ugly/-/merge_requests/79>

2021-03-29 13:15:32 +0200  Stéphane Cerveau <scerveau@collabora.com>

	* gst/dvdlpcmdec/gstdvdlpcmdec.c:
	* gst/dvdlpcmdec/gstdvdlpcmdec.h:
	  dvdlpcmdec: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-ugly/-/merge_requests/79>

2021-03-29 13:11:23 +0200  Stéphane Cerveau <scerveau@collabora.com>

	* gst/asfdemux/gstasf.c:
	* gst/asfdemux/gstasfdemux.c:
	* gst/asfdemux/gstasfdemux.h:
	* gst/asfdemux/gstasfelement.c:
	* gst/asfdemux/gstasfelements.h:
	* gst/asfdemux/gstrtpasfdepay.c:
	* gst/asfdemux/gstrtspwms.c:
	* gst/asfdemux/meson.build:
	  asfdemux: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-ugly/-/merge_requests/79>

2021-03-29 12:39:36 +0200  Stéphane Cerveau <scerveau@collabora.com>

	* ext/x264/gstx264enc.c:
	* ext/x264/gstx264enc.h:
	  x264: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-ugly/-/merge_requests/79>

2021-03-29 12:33:00 +0200  Stéphane Cerveau <scerveau@collabora.com>

	* ext/sidplay/gstsiddec.cc:
	* ext/sidplay/gstsiddec.h:
	  sidplay: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-ugly/-/merge_requests/79>

2021-03-29 12:31:26 +0200  Stéphane Cerveau <scerveau@collabora.com>

	* ext/mpeg2dec/gstmpeg2dec.c:
	* ext/mpeg2dec/gstmpeg2dec.h:
	  mpeg2dec: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-ugly/-/merge_requests/79>

2021-03-29 12:28:28 +0200  Stéphane Cerveau <scerveau@collabora.com>

	* ext/dvdread/dvdreadsrc.c:
	* ext/dvdread/dvdreadsrc.h:
	  dvdread: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-ugly/-/merge_requests/79>

2021-03-29 12:28:04 +0200  Stéphane Cerveau <scerveau@collabora.com>

	* ext/cdio/gstcdio.c:
	* ext/cdio/gstcdio.h:
	* ext/cdio/gstcdiocddasrc.c:
	* ext/cdio/gstcdiocddasrc.h:
	  cdio: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-ugly/-/merge_requests/79>

2021-03-29 10:39:46 +0200  Stéphane Cerveau <scerveau@collabora.com>

	* ext/amrwbdec/amrwb.c:
	* ext/amrwbdec/amrwbdec.c:
	* ext/amrwbdec/amrwbdec.h:
	  amrwbdec: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-ugly/-/merge_requests/79>

2021-03-29 10:38:07 +0200  Stéphane Cerveau <scerveau@collabora.com>

	* ext/amrnb/amrnb.c:
	* ext/amrnb/amrnbdec.c:
	* ext/amrnb/amrnbdec.h:
	* ext/amrnb/amrnbenc.c:
	* ext/amrnb/amrnbenc.h:
	  amrnb: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-ugly/-/merge_requests/79>

2021-03-29 10:37:26 +0200  Stéphane Cerveau <scerveau@collabora.com>

	* ext/a52dec/gsta52dec.c:
	* ext/a52dec/gsta52dec.h:
	  a52dec: allow per feature registration
	  Split plugin into features including
	  dynamic types which can be indiviually
	  registered during a static build.
	  More details here:
	  https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/199
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-ugly/-/merge_requests/79>

2021-03-19 15:16:06 +1100  Matthew Waters <matthew@centricular.com>

	* ext/x264/gstencoderbitrateprofilemanager.c:
	  gst: don't use volatile to mean atomic
	  volatile is not sufficient to provide atomic guarantees and real atomics
	  should be used instead.  GCC 11 has started warning about using volatile
	  with atomic operations.
	  https://gitlab.gnome.org/GNOME/glib/-/merge_requests/1719
	  Discovered in https://gitlab.freedesktop.org/gstreamer/gst-plugins-good/-/issues/868
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-ugly/-/merge_requests/78>

2021-03-03 11:05:14 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/realmedia/rmdemux.c:
	  rmdemux: Make sure we have enough data available when parsing audio/video packets
	  Otherwise there will be out-of-bounds reads and potential crashes.
	  Thanks to Natalie Silvanovich for reporting.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gst-plugins-ugly/-/issues/37
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-ugly/-/merge_requests/74>

2020-11-04 18:44:07 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* meson.build:
	  meson: Enable some MSVC warnings for parity with GCC/Clang
	  This makes it easier to do development with MSVC by making it warn
	  on common issues that GCC/Clang error out for in our CI configuration.
	  Continuation from https://gitlab.freedesktop.org/gstreamer/gst-build/-/merge_requests/223
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-ugly/-/merge_requests/71>

2020-10-31 04:52:14 +0900  Seungha Yang <seungha@centricular.com>

	* tests/check/elements/mpeg2dec.c:
	  tests: mpeg2dec: Don't expect BT601 color space
	  If it's required, mpeg2dec should set it explicitly.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-ugly/-/merge_requests/70>

2020-09-08 17:30:39 +0100  Tim-Philipp Müller <tim@centricular.com>

	* .gitlab-ci.yml:
	  ci: include template from gst-ci master branch again

2020-09-08 16:58:40 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development

=== release 1.18.0 ===

2020-09-08 00:05:39 +0100  Tim-Philipp Müller <tim@centricular.com>

	* .gitlab-ci.yml:
	* ChangeLog:
	* NEWS:
	* README:
	* RELEASE:
	* gst-plugins-ugly.doap:
	* meson.build:
	  Release 1.18.0

2020-09-07 22:40:46 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	* scripts/dist-translations.py:
	* scripts/meson.build:
	  meson: dist pot file in tarball
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-ugly/-/merge_requests/69>

2020-09-07 12:14:13 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/x264/gstx264enc.c:
	  x264: Update for gst_video_transfer_function_*() function renaming
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-ugly/-/merge_requests/68>

2020-08-21 10:35:11 +0300  Sebastian Dröge <sebastian@centricular.com>

	* docs/gst_plugins_cache.json:
	* ext/x264/gstx264enc.c:
	  x264enc: Allow maximum quantizer value of 63 instead of 51
	  QP_MAX_SPEC in x264 is set to 63 nowadays and in theory it allows even
	  up to 81 (QP_MAX) but that seems to be outside the spec.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-ugly/-/merge_requests/67>

=== release 1.17.90 ===

2020-08-20 16:12:23 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* gst-plugins-ugly.doap:
	* meson.build:
	  Release 1.17.90

2020-07-15 10:49:03 +0300  Jordan Petridis <jordan@centricular.com>

	* tests/check/elements/amrnbenc.c:
	  amrnbenc: remove global variables
	  gstcheck is declaring its own buffers glist which ends up
	  overwritten, loks like the code meant to use that already
	  gcc 10 is also complaining about this, but only on static
	  builds for some reason
	  ```
	  FAILED: subprojects/gst-plugins-ugly/tests/check/elements_amrnbenc
	  /usr/bin/ld: subprojects/gstreamer/libs/gst/check/libgstcheck-1.0.a(gstcheck.c.o):(.bss+0x38): multiple definition of `buffers'; subprojects/gst-plugins-ugly/tests/check/708af1f@@elements_amrnbenc@exe/elements_amrnbenc.c.o:(.bss+0x18): first defined here
	  collect2: error: ld returned 1 exit status
	  ```
	  also remove unused var `current_buf`
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-ugly/-/merge_requests/62>

2020-04-02 03:27:26 +1100  Jan Schmidt <jan@centricular.com>

	* gst/realmedia/rmdemux.c:
	  rmdemux: Don't ignore the return value of gst_segment_do_seek()
	  If gst_segment_do_seek() fails, fail the seek.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-ugly/-/merge_requests/45>

2020-04-01 19:34:30 +1100  Jan Schmidt <jan@centricular.com>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: Don't ignore the return result of gst_segment_do_seek()
	  gst_segment_do_seek() can fail, and our seek should fail
	  accordingly.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-ugly/-/merge_requests/45>

2020-04-17 11:34:16 -0500  Derek Lesho <dlesho@codeweavers.com>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: Only forward SEEK event when in push mode.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-ugly/-/merge_requests/48>

2020-07-25 21:19:20 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* meson.build:
	  meson: add a plugin summary
	  This summary displays a list of plugins which
	  have been enabled.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-ugly/-/merge_requests/65>

2018-10-03 13:32:11 +0200  Thibault Saunier <tsaunier@igalia.com>

	* ext/x264/GstX264Enc.prs:
	  x264enc: Add a 'Zero Latency' profile
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-ugly/-/merge_requests/42>

2020-07-22 17:31:37 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* tests/check/elements/x264enc.c:
	  tests/x264enc: Don't declare variables inside the for loop header
	  This is a C99 feature
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-ugly/-/merge_requests/64>

2020-07-21 15:40:26 +0200  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* tests/check/elements/x264enc.c:
	  tests: x264enc: Test formats are compatible with profile
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-ugly/-/merge_requests/59>

2020-07-01 16:11:09 +0200  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* ext/x264/gstx264enc.c:
	  x264enc: Separate high-10 video formats from 8-bit formats
	  If downstream is constrained to an 8-bit profile, caps queries would
	  still allow I420_10LE as input. If upstream actually sends such a caps
	  event, downstream would fail to accept the high-10 profile.
	  The following pipeline now fails earlier, during the negotiation phase
	  instead of the stream start:
	  gst-launch-1.0 videotestsrc ! video/x-raw,format=I420_10LE \
	  ! x264enc ! video/x-h264,profile=constrained-baseline \
	  ! fakesink
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-ugly/-/merge_requests/59>

2020-07-21 15:39:31 +0200  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* tests/check/elements/x264enc.c:
	  tests: x264enc: Test 10-bit formats
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-ugly/-/merge_requests/59>

2020-07-21 15:33:57 +0200  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* tests/check/elements/x264enc.c:
	  tests: x264enc: Test all (8-bit) video formats
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-ugly/-/merge_requests/59>

2020-07-06 22:13:55 -0400  Thibault Saunier <tsaunier@igalia.com>

	* ext/x264/gstx264enc.c:
	  x264enc: Forward downstream colorimetry and chroma-site upstream
	  So that the value can be used by upstream converters when necessary.
	  This whole logic has been copied from `__gst_video_element_proxy_caps`
	  but those 2 fields were missing.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-ugly/-/merge_requests/60>

2020-07-08 17:07:35 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	* scripts/extract-release-date-from-doap-file.py:
	  meson: set release date from .doap file for releases
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-ugly/-/merge_requests/61>

2020-07-03 02:03:37 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development

=== release 1.17.2 ===

2020-07-03 00:29:25 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* gst-plugins-ugly.doap:
	* meson.build:
	  Release 1.17.2

2020-06-23 00:03:04 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* docs/meson.build:
	  meson: mark plugins cache target as always stale

2020-06-19 22:55:28 -0400  Thibault Saunier <tsaunier@igalia.com>

	* docs/gst_plugins_cache.json:
	  doc: Stop documenting properties from parents

2020-06-20 00:28:13 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development

=== release 1.17.1 ===

2020-06-19 19:20:41 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* docs/gst_plugins_cache.json:
	* gst-plugins-ugly.doap:
	* meson.build:
	  Release 1.17.1

2020-06-09 15:13:47 -0400  Thibault Saunier <tsaunier@igalia.com>

	* docs/gst_plugins_cache.json:
	  docs: Update plugins cache

2020-06-08 09:37:10 -0400  Thibault Saunier <tsaunier@igalia.com>

	* docs/gst_plugins_cache.json:
	  docs: Update plugins cache

2020-06-06 10:15:25 +0100  Philippe Normand <philn@igalia.com>

	* ext/sidplay/gstsiddec.cc:
	  siddec: update gst_type_mark_as_plugin_api() calls
	  This was left behind in commit bc1ab5e8e00a7ed6ac5e192af9310bd2146e446a.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-ugly/-/merge_requests/55>

2020-06-06 00:41:38 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* ext/a52dec/gsta52dec.c:
	* ext/amrnb/amrnbdec.c:
	* ext/amrnb/amrnbenc.c:
	* ext/x264/gstx264enc.c:
	  plugins: uddate gst_type_mark_as_plugin_api() calls

2020-06-03 18:38:28 -0400  Thibault Saunier <tsaunier@igalia.com>

	* docs/meson.build:
	  doc: Require hotdoc >= 0.11.0

2020-05-27 16:02:02 +0300  Sebastian Dröge <sebastian@centricular.com>

	* docs/gst_plugins_cache.json:
	  docs: Update gst_plugins_cache.json

2020-05-30 23:16:50 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/a52dec/gsta52dec.c:
	* ext/amrnb/amrnbdec.c:
	* ext/amrnb/amrnbenc.c:
	* ext/sidplay/gstsiddec.cc:
	* ext/x264/gstx264enc.c:
	  plugins: Use gst_type_mark_as_plugin_api() for all non-element plugin types

2020-06-02 00:41:23 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: extract WM/PartOfSet disc number and count metadata
	  Fixes #30
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-ugly/-/merge_requests/54>

2020-06-02 00:40:48 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: sprinkle some INDENT-OFF
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-ugly/-/merge_requests/54>

2020-05-27 14:42:20 +0100  Tim-Philipp Müller <tim@centricular.com>

	* tests/check/meson.build:
	  tests: fix meson test env setup to make sure we use the right gst-plugin-scanner
	  If core is built as a subproject (e.g. as in gst-build), make sure to use
	  the gst-plugin-scanner from the built subproject. Without this, gstreamer
	  might accidentally use the gst-plugin-scanner from the install prefix if
	  that exists, which in turn might drag in gst library versions we didn't
	  mean to drag in. Those gst library versions might then be older than
	  what our current build needs, and might cause our newly-built plugins
	  to get blacklisted in the test registry because they rely on a symbol
	  that the wrongly-pulled in gst lib doesn't have.
	  This should fix running of unit tests in gst-build when invoking
	  meson test or ninja test from outside the devenv for the case where
	  there is an older or different-version gst-plugin-scanner installed
	  in the install prefix.
	  In case no gst-plugin-scanner is installed in the install prefix, this
	  will fix "GStreamer-WARNING: External plugin loader failed. This most
	  likely means that the plugin loader helper binary was not found or
	  could not be run. You might need to set the GST_PLUGIN_SCANNER
	  environment variable if your setup is unusual." warnings when running
	  the unit tests.
	  In the case where we find GStreamer core via pkg-config we use
	  a newly-added pkg-config var "pluginscannerdir" to get the right
	  directory. This has the benefit of working transparently for both
	  installed and uninstalled pkg-config files/setups.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-ugly/-/merge_requests/53>

2020-05-27 09:13:17 +0200  Guillaume Desmottes <guillaume.desmottes@collabora.com>

	* ext/dvdread/dvdreadsrc.c:
	  dvdreadsrc: fix uninitialized warning
	  Variable is always set in actual code paths but let's keep gcc happy.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-ugly/-/merge_requests/51>

2020-05-12 05:07:47 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* ext/sidplay/meson.build:
	* meson.build:
	  meson: Pass native: false to add_languages()
	  This is needed for cross-compiling without a build machine compiler
	  available. The option was added in 0.54, but we only need this in
	  Cerbero and it doesn't affect older versions so it should be ok.
	  Will just cause a spurious warning.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gst-plugins-ugly/-/merge_requests/50>

2020-04-03 14:24:46 -0500  Derek Lesho <dlesho@codeweavers.com>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: Always re-initialize metadata and global_metadata
	  When transitioning from the PAUSED state, to the READY state, and back,
	  metadata and global_metadata are left uninitialized, unlike when the
	  demxuer transitions from NULL to READY, then to PAUSED.  I have found
	  this to cause a segmentation fault when fields in these structures are
	  set.

2020-04-02 16:18:00 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* ext/x264/gstx264enc.c:
	  x264enc: Fix 'ref' property range and default
	  The --ref option indicate the size of the DPB, hence should be in the range of
	  0 to 16. This patch also fix the default to match x264enc default 3. This
	  change isn't a behaviour change since we don't enforce the reported default.

2020-03-19 18:05:43 -0300  Thibault Saunier <tsaunier@igalia.com>

	* ext/a52dec/gsta52dec.c:
	  a52dec: Mark as converter
	  It is able to do channel downminxing, so technically it is also a
	  converter
	  This is also important so validate knows about that when doing its
	  checks

2019-10-17 14:55:51 +0200  Thibault Saunier <tsaunier@igalia.com>

	* ext/x264/gstencoderbitrateprofilemanager.c:
	* ext/x264/gstencoderbitrateprofilemanager.h:
	* ext/x264/gstx264enc.c:
	* ext/x264/gstx264enc.h:
	* ext/x264/meson.build:
	  x264enc: Respect Youtube bitrate recommandation
	  Properly follow google recommendations[0] concerning bitrate when the
	  user wants to use the youtube profile.
	  [0]: https://support.google.com/youtube/answer/1722171?hl=en

2019-12-18 16:09:42 +0100  Stéphane Cerveau <scerveau@collabora.com>

	* ext/dvdread/dvdreadsrc.c:
	  ugly: use of g_value_dup_string
	  Use helper method to get string from GValue.

2019-12-14 18:49:54 +0700  Dmitry Shusharin <pmdvsh@gmail.com>

	* ext/x264/gstx264enc.c:
	  x264enc: fixed codestyle

2019-12-14 17:15:21 +0700  Dmitry Shusharin <pmdvsh@gmail.com>

	* ext/x264/gstx264enc.c:
	  x264enc: corrected em_data value in CEA-708 CC SEI message (fixes #28)
	  Section 4.4 of CEA-708-D specification (table 2) requires all bits to be
	  set inside em_data field. h264parse element (and possible third-party
	  decoders such as libav) also follows this requirement.
	  https://gitlab.freedesktop.org/gstreamer/gst-plugins-ugly/issues/28

2019-06-09 00:30:53 +0100  Tim-Philipp Müller <tim@centricular.com>

	* .gitignore:
	* .gitmodules:
	* Makefile.am:
	* README:
	* autogen.sh:
	* common:
	* configure.ac:
	* docs/.gitignore:
	* docs/version.entities.in:
	* ext/Makefile.am:
	* ext/a52dec/Makefile.am:
	* ext/amrnb/Makefile.am:
	* ext/amrwbdec/Makefile.am:
	* ext/cdio/Makefile.am:
	* ext/dvdread/Makefile.am:
	* ext/mpeg2dec/.gitignore:
	* ext/mpeg2dec/Makefile.am:
	* ext/sidplay/Makefile.am:
	* ext/x264/Makefile.am:
	* gst-libs/Makefile.am:
	* gst-libs/gst/Makefile.am:
	* gst/Makefile.am:
	* gst/asfdemux/.gitignore:
	* gst/asfdemux/Makefile.am:
	* gst/dvdlpcmdec/Makefile.am:
	* gst/dvdsub/Makefile.am:
	* gst/realmedia/.gitignore:
	* gst/realmedia/Makefile.am:
	* gst/xingmux/Makefile.am:
	* m4/.gitignore:
	* m4/Makefile.am:
	* m4/README:
	* m4/a52.m4:
	* m4/aalib.m4:
	* m4/as-ffmpeg.m4:
	* m4/as-slurp-ffmpeg.m4:
	* m4/check-libheader.m4:
	* m4/freetype2.m4:
	* m4/gconf-2.m4:
	* m4/glib.m4:
	* m4/gst-fionread.m4:
	* m4/gst-ivorbis.m4:
	* m4/gst-sdl.m4:
	* m4/gst-shout2.m4:
	* m4/gst-sid.m4:
	* m4/gtk.m4:
	* m4/libfame.m4:
	* m4/libmikmod.m4:
	* m4/lrint.m4:
	* m4/lrintf.m4:
	* pkgconfig/.gitignore:
	* pkgconfig/Makefile.am:
	* pkgconfig/gstreamer-plugins-ugly-uninstalled.pc.in:
	* po/.gitignore:
	* po/Makevars:
	* po/POTFILES:
	* tests/Makefile.am:
	* tests/check/.gitignore:
	* tests/check/Makefile.am:
	* tests/check/elements/.gitignore:
	* tests/check/generic/.gitignore:
	* tests/files/Makefile.am:
	  Remove autotools build system

2019-09-02 09:33:15 -0400  Aaron Boxer <aaron.boxer@collabora.com>

	* NEWS:
	* ext/mpeg2dec/gstmpeg2dec.c:
	* ext/x264/gstx264enc.c:
	* gst/asfdemux/gstasfdemux.c:
	* gst/dvdlpcmdec/gstdvdlpcmdec.c:
	* gst/dvdsub/gstdvdsubdec.c:
	* gst/realmedia/rdtjitterbuffer.c:
	* gst/realmedia/rtspreal.c:
	* hooks/pre-commit.hook:
	  documentation: fix some typos

2019-08-23 19:06:59 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* ext/amrnb/amrnbdec.c:
	* ext/amrnb/amrnbenc.c:
	* ext/amrwbdec/amrwbdec.c:
	  docstrings: port ulinks to markdown links

2019-08-23 16:25:25 +1000  Matthew Waters <matthew@centricular.com>

	* docs/meson.build:
	  meson: Don't generate doc cache when no plugins are enabled
	  Fixes gst-build with -Dauto-features=disabled -Dugly=enabled

2019-07-15 21:56:57 +0900  Seungha Yang <seungha.yang@navercorp.com>

	* ext/x264/gstx264enc.c:
	  x264enc: Port to color_{primaries,transfer,matrix}_to_iso
	  ... with more color value mapping

2019-07-15 22:38:35 +0900  Seungha Yang <seungha.yang@navercorp.com>

	* tests/check/elements/x264enc.c:
	* tests/check/meson.build:
	  tests: x264enc: Enable test on Windows
	  ... with removal of pointless unistd.h dependency.
	  Note that full dependency listing is required to run unit test
	  executable binary on Windows uninstalled environment.

2019-05-31 23:07:58 +0200  Niels De Graef <niels.degraef@barco.com>

	* configure.ac:
	* meson.build:
	  meson: Bump minimal GLib version to 2.44
	  This means we can use some newer features and get rid of some
	  boilerplate code using the G_DECLARE_* macros.
	  As discussed on IRC, 2.44 is old enough by now to start depending on it.

2019-05-29 23:00:48 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* ext/sidplay/gstsiddec.cc:
	  doc: remove xml from comments

2019-05-25 14:19:54 +0200  Tim-Philipp Müller <tim@centricular.com>

	* gst/asfdemux/asfheaders.h:
	  asfdemux: remove some unused cruft in internal headers

2019-05-16 09:15:52 -0400  Thibault Saunier <tsaunier@igalia.com>

	* docs/gst_plugins_cache.json:
	* docs/meson.build:
	  docs: Stop building the doc cache by default
	  And update the cache
	  Fixes https://gitlab.freedesktop.org/gstreamer/gst-docs/issues/36

2019-05-13 22:54:16 -0400  Thibault Saunier <tsaunier@igalia.com>

	* docs/gst_plugins_cache.json:
	  docs: Update plugins documentation cache

2018-10-22 11:47:37 +0200  Thibault Saunier <tsaunier@igalia.com>

	* Makefile.am:
	* configure.ac:
	* docs/Makefile.am:
	* docs/all_index.md:
	* docs/gst_api_version.in:
	* docs/gst_plugins_cache.json:
	* docs/index.md:
	* docs/meson.build:
	* docs/plugins/.gitignore:
	* docs/plugins/Makefile.am:
	* docs/plugins/gst-plugins-ugly-plugins-docs.sgml:
	* docs/plugins/gst-plugins-ugly-plugins-sections.txt:
	* docs/plugins/gst-plugins-ugly-plugins.args:
	* docs/plugins/gst-plugins-ugly-plugins.hierarchy:
	* docs/plugins/gst-plugins-ugly-plugins.interfaces:
	* docs/plugins/gst-plugins-ugly-plugins.prerequisites:
	* docs/plugins/gst-plugins-ugly-plugins.signals:
	* docs/plugins/gst-plugins-ugly-plugins.types:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-sid.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* docs/plugins/inspect/plugin-xingmux.xml:
	* docs/sitemap.txt:
	* ext/a52dec/meson.build:
	* ext/amrnb/meson.build:
	* ext/amrwbdec/meson.build:
	* ext/cdio/meson.build:
	* ext/dvdread/meson.build:
	* ext/mpeg2dec/meson.build:
	* ext/sidplay/meson.build:
	* ext/x264/meson.build:
	* gst/asfdemux/gstasfdemux.h:
	* gst/asfdemux/meson.build:
	* gst/dvdlpcmdec/meson.build:
	* gst/dvdsub/meson.build:
	* gst/realmedia/meson.build:
	* gst/xingmux/meson.build:
	* meson.build:
	* meson_options.txt:
	  docs: Port documentation to hotdoc

2018-10-22 11:47:32 +0200  Thibault Saunier <tsaunier@igalia.com>

	* ext/a52dec/gsta52dec.c:
	* ext/amrnb/amrnbdec.c:
	* ext/amrnb/amrnbenc.c:
	* ext/amrwbdec/amrwbdec.c:
	* ext/cdio/gstcdiocddasrc.c:
	* ext/x264/gstx264enc.c:
	* gst/asfdemux/gstasfdemux.h:
	* gst/asfdemux/gstrtspwms.c:
	* gst/realmedia/gstrdtbuffer.h:
	* gst/realmedia/rademux.c:
	* gst/realmedia/rdtmanager.c:
	* gst/realmedia/rtspreal.c:
	* gst/xingmux/gstxingmux.c:
	  docs: Port all docstring to gtk-doc markdown

2019-04-26 18:28:04 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ext/sidplay/meson.build:
	  meson: sidplay: use library() instead of shared_module()
	  Like we do for other plugins, and also install a .pc file
	  if we build the plugin statically.

2019-04-22 12:51:33 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/dvdread/meson.build:
	* meson.build:
	  meson: Always require the gmodule dependency
	  It's needed by the dvdread plugin but also by the x264 plugin in certain
	  circumstances. As it's part of GLib and always available, simply move it
	  as a hard dependency to the top-level meson.build.

2019-04-19 10:28:17 +0100  Tim-Philipp Müller <tim@centricular.com>

	* README:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-sid.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* docs/plugins/inspect/plugin-xingmux.xml:
	* meson.build:
	  Back to development

=== release 1.16.0 ===

2019-04-19 00:24:40 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* README:
	* RELEASE:
	* configure.ac:
	* gst-plugins-ugly.doap:
	* meson.build:
	  Release 1.16.0

2019-04-19 00:24:40 +0100  Tim-Philipp Müller <tim@centricular.com>

	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-sid.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* docs/plugins/inspect/plugin-xingmux.xml:
	  Update docs

2019-04-19 00:24:38 +0100  Tim-Philipp Müller <tim@centricular.com>

	* po/id.po:
	* po/sv.po:
	  Update translations

=== release 1.15.90 ===

2019-04-11 00:28:18 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-plugins-ugly.doap:
	* meson.build:
	  Release 1.15.90

2019-04-11 00:28:18 +0100  Tim-Philipp Müller <tim@centricular.com>

	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-sid.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* docs/plugins/inspect/plugin-xingmux.xml:
	  Update docs

2019-03-27 21:59:45 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* ext/x264/meson.build:
	  meson: Add a subproject fallback for x264

2019-03-10 19:33:31 +0000  Piotr Drąg <piotrdrag@gmail.com>

	* po/LINGUAS:
	  Update LINGUAS

2019-03-21 11:23:07 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  meson: add -Wno-unused also to C++ args when gst debug system is disabled

2019-03-04 09:08:07 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-sid.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* docs/plugins/inspect/plugin-xingmux.xml:
	* meson.build:
	  Back to development

2019-02-28 11:03:31 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* ext/x264/gstx264enc.c:
	  x264enc: inject CEA708 closed captions

=== release 1.15.2 ===

2019-02-26 11:48:50 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-plugins-ugly.doap:
	* meson.build:
	  Release 1.15.2

2019-02-26 11:48:50 +0000  Tim-Philipp Müller <tim@centricular.com>

	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-sid.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* docs/plugins/inspect/plugin-xingmux.xml:
	  Update docs

2019-02-26 11:48:47 +0000  Tim-Philipp Müller <tim@centricular.com>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/fur.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/ms.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/ta.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	  Update translations

2019-02-22 23:54:30 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ext/sidplay/gstsiddec.cc:
	  sidplay: fix indentation

2019-02-12 17:58:19 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/dvdread/dvdreadsrc.c:
	  dvdreadsrc: Work around GCC9 compiler warning
	  It's technically true but not for this specific type.
	  dvdreadsrc.c:394:65: error: taking address of packed member of ‘struct <anonymous>’ may result in an unaligned pointer value [-Werror=address-of-packed-member]
	  394 |       gst_dvd_read_src_make_clut_change_event (src, src->cur_pgc->palette);
	  |                                                     ~~~~~~~~~~~~^~~~~~~~~

2019-01-30 19:50:30 +0900  Seungha Yang <seungha.yang@navercorp.com>

	* meson.build:
	  meson: Add support orc fallback
	  Allow fallback to orc subproject if any.

2019-01-25 14:38:05 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/x264/gstx264enc.c:
	  x264: Only enable dynamic loading code for x264 < 253
	  Otherwise we get some compiler warnings:
	  ../subprojects/gst-plugins-ugly/ext/x264/gstx264enc.c:200:1: warning: ‘unload_x264’ defined but not used [-Wunused-function]
	  unload_x264 (GstX264EncVTable * vtable)
	  ^~~~~~~~~~~
	  ../subprojects/gst-plugins-ugly/ext/x264/gstx264enc.c:154:1: warning: ‘load_x264’ defined but not used [-Wunused-function]
	  load_x264 (const gchar * filename)
	  ^~~~~~~~~

2019-01-25 14:36:55 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/x264/meson.build:
	  x264: Link to gmodule in the meson build if extra x264 libraries are provided
	  We would dynamically load additional x264 libraries then.

2019-01-17 17:29:38 +0200  Helmut Grohne <helmut@subdivi.de>

	* m4/gst-sid.m4:
	  sid: Fix cross-compilation by using AC_TRY_LINK instead of AC_TRY_RUN
	  https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=917899

=== release 1.15.1 ===

2019-01-17 02:02:30 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-plugins-ugly.doap:
	* meson.build:
	  Release 1.15.1

2019-01-17 02:02:30 +0000  Tim-Philipp Müller <tim@centricular.com>

	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-sid.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* docs/plugins/inspect/plugin-xingmux.xml:
	  Update docs

2019-01-17 02:02:22 +0000  Tim-Philipp Müller <tim@centricular.com>

	* po/af.po:
	* po/ast.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/fur.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/ms.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	  Update translations

2018-12-30 22:48:42 +0900  Seungha Yang <seungha.yang@navercorp.com>

	* tests/check/generic/states.c:
	* tests/check/meson.build:
	  tests: Enable test generic_states on Windows
	  ... and drop needless unistd.h dependency

2018-12-18 22:48:42 +0900  Seungha Yang <seungha.yang@navercorp.com>

	* meson.build:
	* tests/check/meson.build:
	  meson: Use join_paths() instead '/'

2018-12-07 23:39:01 +0900  Seungha Yang <seungha.yang@navercorp.com>

	* meson.build:
	* tests/check/meson.build:
	* tests/meson.build:
	  tests: Enable unit test on Windows
	  Remove hard-coded ':' whitelist separator since it varies with OS

2018-12-05 17:24:25 -0300  Thibault Saunier <tsaunier@igalia.com>

	* common:
	  Automatic update of common submodule
	  From ed78bee to 59cb678

2018-11-24 19:28:19 +0900  Seungha Yang <seungha.yang@navercorp.com>

	* meson.build:
	  meson: Specify encoding to UTF-8 when building with MSVC
	  Use build arguments consistent with core and -base. This can also
	  remove noisy "C4819" warning of non-us locale MSVC.

2018-11-12 13:30:59 +0200  Jordan Petridis <jordan@centricular.com>

	* .gitlab-ci.yml:
	  Add Gitlab CI configuration
	  This commit adds a .gitlab-ci.yml file, which uses a feature
	  to fetch the config from a centralized repository. The intent is
	  to have all the gstreamer modules use the same configuration.
	  The configuration is currently hosted at the gst-ci repository
	  under the gitlab/ci_template.yml path.
	  Part of https://gitlab.freedesktop.org/gstreamer/gstreamer-project/issues/29

2018-11-05 05:38:33 +0000  Matthew Waters <matthew@centricular.com>

	* .gitmodules:
	  Update common submodule location
	  Remove the git directory

2018-11-05 12:52:46 +0800  Haihao Xiang <haihao.xiang@intel.com>

	* .gitmodules:
	* gst-plugins-ugly.doap:
	  Clone the code from gitlab
	  This fixes https://gitlab.freedesktop.org/gstreamer/gst-plugins-ugly/issues/22

2018-10-08 20:45:52 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  meson: use new 'python' module instead of deprecated
	  https://github.com/mesonbuild/meson/pull/4169

2018-09-22 17:33:35 +0100  Tim-Philipp Müller <tim@centricular.com>

	* tests/check/elements/x264enc.c:
	  tests: x264enc: fix leak in unit test
	  The static pad templates weren't static so their
	  contents were leaked. valgrind was not happy.
	  Also rename confusing define.

2018-09-18 21:43:14 +0900  Seungha Yang <seungha.yang@navercorp.com>

	* ext/x264/gstx264enc.c:
	* ext/x264/gstx264enc.h:
	  x264enc: Avoid format decision per frame
	  Avoid switch/case per frame for format decision and detect the format
	  only if where it could be changed. Note that, whenever encoder->input_state
	  is changed, gst_x264_enc_init_encoder() is called.
	  https://bugzilla.gnome.org/show_bug.cgi?id=797164

2018-09-19 12:00:32 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	* meson_options.txt:
	  meson: add glib-checks option to disable API guards and such
	  We want this enabled by default, also in releases, but people
	  may want to disable this for performance-critical workloads or
	  on embedded devices.

2018-09-19 11:58:54 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson_options.txt:
	  meson: fix missing closing bracket in option descriptions

2018-08-18 21:22:42 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	* meson_options.txt:
	* tests/meson.build:
	  meson: add option to disable tests

2018-08-18 21:20:20 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  meson: clean up some cruft

2018-08-18 21:15:23 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	* meson_options.txt:
	  meson: add options to disable gobject cast checks and glib asserts
	  ... and define G_DISABLE_DEPRECATED for development versions,
	  like we do in autotools.

2018-08-16 13:17:58 +0200  Jan Alexander Steffens (heftig) <jan.steffens@gmail.com>

	* ext/x264/gstx264enc.c:
	  x264enc: Set bit depth for x264 ≥ 153
	  https://bugzilla.gnome.org/show_bug.cgi?id=796975

2018-08-16 14:55:04 +0200  Jan Alexander Steffens (heftig) <jan.steffens@gmail.com>

	* ext/x264/gstx264enc.c:
	  x264enc: Remove superfluous x264_param_default
	  https://bugzilla.gnome.org/show_bug.cgi?id=796973

2018-07-27 19:29:01 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* ext/a52dec/meson.build:
	* ext/amrnb/meson.build:
	* ext/amrwbdec/meson.build:
	* ext/cdio/meson.build:
	* ext/dvdread/meson.build:
	* ext/mpeg2dec/meson.build:
	* ext/sidplay/meson.build:
	* ext/x264/meson.build:
	* gst/meson.build:
	* meson.build:
	* meson_options.txt:
	  Add feature options for all plugins
	  The only automagic dependency left is C++ availability detection.
	  https://bugzilla.gnome.org/show_bug.cgi?id=795107

2018-07-25 17:17:21 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* meson.build:
	* meson_options.txt:
	  meson: Convert common options to feature options
	  The rest will be converted later, these are necessary for gst-build to
	  set options correctly.
	  https://bugzilla.gnome.org/show_bug.cgi?id=795107

2018-06-11 14:43:20 +0200  Edward Hervey <edward@centricular.com>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: Remove 0.10 code
	  This was used to "close" a segment. It's no longer needed anymore
	  in 1.x (it was essentially sending the same thing again)

2018-05-11 09:21:09 +0200  Edward Hervey <edward@centricular.com>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: Only send flush event on seeking flushes
	  And not on all the time

2018-05-21 11:54:50 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	* meson_options.txt:
	  meson: add 'nls' option to disable translations
	  And enable by default. Was implicitly disabled because
	  ENABLE_NLS was not defined. Also use .set_quoted().

2018-05-05 19:32:00 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* meson.build:
	* meson_options.txt:
	  meson: Update option names to omit disable_ and with- prefixes
	  Also yield common options to the outer project (gst-build in our case)
	  so that they don't have to be set manually.

2018-05-04 22:54:01 +1000  Jan Schmidt <jan@centricular.com>

	* gst/dvdsub/gstdvdsubdec.c:
	  dvdsubdec: Take the highlight event from the structure.
	  Don't use GST_EVENT_TIMESTAMP to transfer any PTS
	  associated with a highlight event, instead store
	  it in the event structure directly, as
	  GstEvent::timestamp will disappear in GStreamer 2.0
	  https://bugzilla.gnome.org/show_bug.cgi?id=761477

2018-04-24 14:06:20 -0400  Xavier Claessens <xavier.claessens@collabora.com>

	* ext/a52dec/meson.build:
	* ext/amrnb/meson.build:
	* ext/amrwbdec/meson.build:
	* ext/cdio/meson.build:
	* ext/dvdread/meson.build:
	* ext/mpeg2dec/meson.build:
	* ext/x264/meson.build:
	* gst/asfdemux/meson.build:
	* gst/dvdlpcmdec/meson.build:
	* gst/dvdsub/meson.build:
	* gst/realmedia/meson.build:
	* gst/xingmux/meson.build:
	* meson.build:
	  Meson: Generate pc file for all plugins in ugly
	  https://bugzilla.gnome.org/show_bug.cgi?id=794568

2018-04-25 10:59:11 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  meson: use -Wl,-Bsymbolic-functions where supported
	  Just like the autotools build.

2018-04-16 20:13:05 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: Set the stream-format field of H264 streams
	  If we have codec_data it will be AVC, otherwise assume byte-stream.

2018-04-16 10:53:12 +0100  Tim-Philipp Müller <tim@centricular.com>

	* README:
	* common:
	  Automatic update of common submodule
	  From 3fa2c9e to ed78bee

2018-03-20 09:26:15 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-sid.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* docs/plugins/inspect/plugin-xingmux.xml:
	* meson.build:
	  Back to development

=== release 1.14.0 ===

2018-03-19 20:19:43 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-plugins-ugly.doap:
	* meson.build:
	  Release 1.14.0

2018-03-19 20:19:43 +0000  Tim-Philipp Müller <tim@centricular.com>

	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-sid.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* docs/plugins/inspect/plugin-xingmux.xml:
	  Update docs

=== release 1.13.91 ===

2018-03-13 19:17:58 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-plugins-ugly.doap:
	* meson.build:
	  Release 1.13.91

2018-03-13 19:17:58 +0000  Tim-Philipp Müller <tim@centricular.com>

	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-sid.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* docs/plugins/inspect/plugin-xingmux.xml:
	  Update docs

2018-03-12 20:19:19 +0000  Tim-Philipp Müller <tim@centricular.com>

	* docs/plugins/gst-plugins-ugly-plugins-docs.sgml:
	  docs: plugins: minor addition to plugins list

2018-03-08 10:12:16 +0100  Michael Tretter <m.tretter@pengutronix.de>

	* configure.ac:
	  configure.ac: enable largefile support if possible
	  https://bugzilla.gnome.org/show_bug.cgi?id=793103

=== release 1.13.90 ===

2018-03-03 22:24:28 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-plugins-ugly.doap:
	* meson.build:
	  Release 1.13.90

2018-03-03 22:24:28 +0000  Tim-Philipp Müller <tim@centricular.com>

	* docs/plugins/gst-plugins-ugly-plugins.args:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-sid.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* docs/plugins/inspect/plugin-xingmux.xml:
	  Update docs

2018-03-01 19:07:42 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* meson.build:
	* tests/check/meson.build:
	  meson: enable more warnings

2018-02-28 10:07:13 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ext/x264/gstx264enc.c:
	  x264enc: fix build with newer x264 with support for multiple bit depths
	  libx264 used to be built for one specific bit depth, and if we
	  wanted to support multiple bit depths we would have to dynamically
	  load the right .so from different paths. That has changed now, and
	  libx264 can include support for multiple depths in the same lib,
	  so we don't need to do the dlopen() dance any more. We'll keep
	  the vtable stuff around until we can drop support for older x264.
	  gstx264enc.c:2927:36: error: ‘x264_bit_depth’ undeclared
	  https://bugzilla.gnome.org/show_bug.cgi?id=792111

2018-02-27 15:42:32 +0100  Alicia Boya García <aboya@igalia.com>

	* ext/x264/gstx264enc.c:
	  x264enc: Add format example for option-string
	  https://bugzilla.gnome.org/show_bug.cgi?id=793879

2018-02-21 19:47:36 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  meson: simplify GST_DISABLE_GST_DEBUG check and don't use add_global_*
	  add_global_arguments() can't be used in subprojects. It's
	  entirely possible that -ugly is a subproject but gstreamer
	  is picked up from an installed location, so we should
	  really use add_project_arguments() in both cases.

2018-02-15 19:44:21 +0000  Tim-Philipp Müller <tim@centricular.com>

	* configure.ac:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-sid.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* docs/plugins/inspect/plugin-xingmux.xml:
	* meson.build:
	  Back to development

=== release 1.13.1 ===

2018-02-15 17:10:13 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* configure.ac:
	* gst-plugins-ugly.doap:
	* meson.build:
	  Release 1.13.1

2018-02-15 17:07:42 +0000  Tim-Philipp Müller <tim@centricular.com>

	* docs/plugins/gst-plugins-ugly-plugins-docs.sgml:
	* docs/plugins/gst-plugins-ugly-plugins.args:
	* docs/plugins/gst-plugins-ugly-plugins.hierarchy:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-sid.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* docs/plugins/inspect/plugin-xingmux.xml:
	  docs: update plugin docs

2018-02-15 14:52:29 +0000  Tim-Philipp Müller <tim@centricular.com>

	* po/id.po:
	* po/it.po:
	* po/nl.po:
	* po/sv.po:
	  po: update translations

2018-02-08 19:09:45 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  meson: make version numbers ints and fix int/string comparison
	  WARNING: Trying to compare values of different types (str, int).
	  The result of this is undefined and will become a hard error
	  in a future Meson release.

2018-02-04 12:03:36 +0100  Tim-Philipp Müller <tim@centricular.com>

	* configure.ac:
	  autotools: use -fno-strict-aliasing where supported
	  https://bugzilla.gnome.org/show_bug.cgi?id=769183

2018-01-30 20:34:52 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ext/sidplay/meson.build:
	* meson.build:
	  meson: use -fno-strict-aliasing where supported
	  https://bugzilla.gnome.org/show_bug.cgi?id=769183

2018-01-03 16:02:08 +0100  Edward Hervey <edward@centricular.com>

	* ext/amrnb/amrnbdec.c:
	  amrnbdec: Don't use g_return_*_if_fail() on data parsing
	  Those functions can be disabled. Instead just use the (existing)
	  function.
	  CID #1427121

2018-01-03 16:02:08 +0100  Edward Hervey <edward@centricular.com>

	* ext/amrwbdec/amrwbdec.c:
	  amrwbdec: Don't use g_return_*_if_fail() on data parsing
	  Those functions can be disabled. Instead just use the (existing)
	  function.
	  CID #1427093

2017-12-26 13:51:37 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  meson: skip translations if gettext is not available

2017-12-14 14:49:17 +1100  Matthew Waters <matthew@centricular.com>

	* common:
	  Automatic update of common submodule
	  From e8c7a71 to 3fa2c9e

2017-12-07 15:52:58 +0900  Justin Kim <justin.kim@collabora.com>

	* ext/x264/gstx264enc.c:
	* ext/x264/gstx264enc.h:
	  x264enc: add 'insert-vui' property for users to choose
	  VUI(Video Usability Information) parameters should be set
	  according to the specification. However, some of the existing
	  hardware decoders refuse to decode in certain combinations of
	  the resolution and VUI parameters. To support the legacy
	  decoders, this patch provides 'insert-vui' to skip the settings.
	  https://bugzilla.gnome.org/show_bug.cgi?id=791331

2017-12-06 13:01:39 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/cdio/gstcdio.c:
	* ext/cdio/gstcdio.h:
	* ext/cdio/gstcdiocddasrc.c:
	  cdio: Fix build with cdio >= 1.0
	  LIBCDIO_VERSION_NUM was defined as e.g. 94 for 0.94 but is now defined
	  as 1 for 1.0. We had various checks for < 83, which of course succeeded
	  now although we are >= 0.83.
	  Fix this by checking for < 76 (0.76) too, as that is the minimum version
	  we currently support and everything < 76 is going to be >= 1.0.
	  https://bugzilla.gnome.org/show_bug.cgi?id=791301

2017-11-27 20:11:56 +1100  Matthew Waters <matthew@centricular.com>

	* common:
	  Automatic update of common submodule
	  From 3f4aa96 to e8c7a71

2017-11-26 15:05:14 +0000  Tim-Philipp Müller <tim@centricular.com>

	* configure.ac:
	  configure: actually use -fvisibility if supported
	  Fix up for previous commit.

2017-11-26 14:49:21 +0000  Tim-Philipp Müller <tim@centricular.com>

	* configure.ac:
	  autotools: stop controlling symbol visibility with -export-symbols-regex
	  Instead, use -fvisibility=hidden and explicit exports via GST_EXPORT.
	  This should result in consistent behaviour for the autotools and
	  Meson builds.

2017-11-13 11:13:30 +0100  Edward Hervey <edward@centricular.com>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: Fix prerolling files with "empty" streams
	  This is a regression that was introduced by
	  commit 1803b3c18530cb0100d140c2b8e49a8dfe41f941
	  "    asfdemux: Add support for dvr-ms"
	  The problem is that some files/streams might contain stream definition
	  but there is no actual packets for those streams.
	  This was used to "define" streams with different bitrates for example.
	  The first_ts calculation resulted in never ever finding a valid first_ts
	  since some streams were empty, and therefore never "activating" itself.
	  Instead of that we first check if we are prerolled. And if we are we
	  unconditionally get the "first_ts"
	  The preroll check has been adapted to check whether streams of
	  each defined type (i.e. audio/video/sub) has been prerolled. This solves
	  the problem of having different streams of a particular type where only
	  one stream actually has data.

2017-11-13 11:09:31 +0100  Edward Hervey <edward@centricular.com>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: Store the stream type in streams
	  The field was present but never set :)

2017-09-26 10:11:24 +0530  Ponnam Srinivas <p.srinivas@samsung.com>

	* ext/a52dec/gsta52dec.c:
	  a52dec: Fix out buffer memory leak in error code path
	  https://bugzilla.gnome.org/show_bug.cgi?id=788119

2017-09-15 17:06:58 +0530  Deepak Srivastava <srivastava.d@samsung.com>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  mpeg2dec: Fix buffer memory leak in error code path
	  https://bugzilla.gnome.org/show_bug.cgi?id=787817

2017-09-07 13:27:26 +0530  Satya Prakash Gupta <sp.gupta@samsung.com>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  mpeg2dec: Unmap output video frame if copying to it fails
	  https://bugzilla.gnome.org/show_bug.cgi?id=787398

2017-08-31 11:33:14 +0530  Satya Prakash Gupta <sp.gupta@samsung.com>

	* gst/realmedia/asmrules.c:
	  realmedia: fix leak in asmrules error code path
	  https://bugzilla.gnome.org/show_bug.cgi?id=787056

2017-08-30 18:41:28 +0530  Satya Prakash Gupta <sp.gupta@samsung.com>

	* gst/realmedia/rtspreal.c:
	  realmedia: Fix Memory leak in error case
	  https://bugzilla.gnome.org/show_bug.cgi?id=787014

2017-08-26 13:02:26 +0100  Tim-Philipp Müller <tim@centricular.com>

	* tests/files/Makefile.am:
	* tests/files/cbr_stream.mp3:
	* tests/files/stream.mp2:
	* tests/files/vbr_stream.mp3:
	  tests: remove files that were used by the mpg123 unit test

2017-08-26 09:35:20 +0100  Tim-Philipp Müller <tim@centricular.com>

	* Makefile.am:
	* REQUIREMENTS:
	* configure.ac:
	* docs/plugins/Makefile.am:
	* docs/plugins/gst-plugins-ugly-plugins-docs.sgml:
	* docs/plugins/gst-plugins-ugly-plugins-sections.txt:
	* docs/plugins/inspect/plugin-twolame.xml:
	* ext/Makefile.am:
	* ext/meson.build:
	* ext/twolame/Makefile.am:
	* ext/twolame/gsttwolamemp2enc.c:
	* ext/twolame/gsttwolamemp2enc.h:
	* ext/twolame/meson.build:
	* po/POTFILES.in:
	  Remove twolame plugin, moved to -good
	  https://bugzilla.gnome.org/show_bug.cgi?id=774252

2017-08-26 08:51:01 +0100  Tim-Philipp Müller <tim@centricular.com>

	* Makefile.am:
	* REQUIREMENTS:
	* configure.ac:
	* docs/plugins/Makefile.am:
	* docs/plugins/gst-plugins-ugly-plugins-docs.sgml:
	* docs/plugins/gst-plugins-ugly-plugins-sections.txt:
	* docs/plugins/gst-plugins-ugly-plugins.args:
	* docs/plugins/gst-plugins-ugly-plugins.hierarchy:
	* docs/plugins/gst-plugins-ugly-plugins.interfaces:
	* docs/plugins/inspect/plugin-lame.xml:
	* ext/Makefile.am:
	* ext/lame/Makefile.am:
	* ext/lame/gstlamemp3enc.c:
	* ext/lame/gstlamemp3enc.h:
	* ext/lame/meson.build:
	* ext/lame/plugin.c:
	* ext/meson.build:
	* m4/Makefile.am:
	* m4/as-liblame.m4:
	* po/POTFILES.in:
	* tests/check/Makefile.am:
	* tests/check/gst-plugins-ugly.supp:
	* tests/check/meson.build:
	* tests/check/pipelines/.gitignore:
	* tests/check/pipelines/lame.c:
	  Remove lame plugin, moved to -good
	  https://bugzilla.gnome.org/show_bug.cgi?id=774252

2017-08-20 14:31:02 +0100  Tim-Philipp Müller <tim@centricular.com>

	* Makefile.am:
	* REQUIREMENTS:
	* configure.ac:
	* docs/plugins/gst-plugins-ugly-plugins-docs.sgml:
	* docs/plugins/gst-plugins-ugly-plugins-sections.txt:
	* docs/plugins/gst-plugins-ugly-plugins.hierarchy:
	* docs/plugins/inspect/plugin-mpg123.xml:
	* ext/Makefile.am:
	* ext/meson.build:
	* ext/mpg123/Makefile.am:
	* ext/mpg123/gstmpg123audiodec.c:
	* ext/mpg123/gstmpg123audiodec.h:
	* ext/mpg123/meson.build:
	* tests/check/Makefile.am:
	* tests/check/elements/.gitignore:
	* tests/check/elements/mpg123audiodec.c:
	* tests/check/meson.build:
	  Remove mpg123 plugin, moved to -good
	  https://bugzilla.gnome.org/show_bug.cgi?id=774252

2017-08-17 12:23:43 +0100  Tim-Philipp Müller <tim@centricular.com>

	* README:
	* common:
	  Automatic update of common submodule
	  From 48a5d85 to 3f4aa96

2017-08-10 15:48:27 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ext/sidplay/meson.build:
	  sidplay: hide symbols in meson for this c++ plugin too
	  Keep things local, as this is the only c++ plugin
	  in ugly currently.

2017-08-10 11:55:58 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  meson: don't export symbols by default
	  Only plugin entry points should be exported.
	  Currently plugins might export more symbols with
	  the meson build, as we don't have the exports
	  regexp there that we pass to libtool.

2017-08-09 19:31:56 +0200  Mark Nauwelaerts <mnauw@users.sourceforge.net>

	* ext/x264/gstx264enc.c:
	  x264enc: add FIXME note for future configuration cleanup

2017-07-25 13:36:17 +0530  Satya Prakash Gupta <sp.gupta@samsung.com>

	* ext/dvdread/dvdreadsrc.c:
	  dvdreadsrc: Fix string memory leak
	  https://bugzilla.gnome.org/show_bug.cgi?id=785388

2017-07-15 15:01:09 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ext/x264/gstx264enc.c:
	  x264enc: fix indentation

2017-07-15 14:59:42 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ext/x264/gstx264enc.c:
	  x264enc: fix caps leak
	  Move creation of supported sink pads into class_init function
	  which is also the only place where they're used. Unref the
	  caps when no longer needed, the pad template will take its
	  own ref.
	  https://bugzilla.gnome.org/show_bug.cgi?id=784982

2017-07-15 14:57:49 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ext/mpg123/gstmpg123audiodec.c:
	  mpg123audiodec: fix caps leak
	  The pad template takes its own ref, so we should unref the caps.
	  https://bugzilla.gnome.org/show_bug.cgi?id=784982

2017-07-15 12:49:19 +0100  Tim-Philipp Müller <tim@centricular.com>

	* po/meson.build:
	  meson: po: use glib preset and read language list from LINGUAS
	  Supported since meson 0.37, so we can use it now.

2017-07-11 14:21:41 +0300  Vivia Nikolaidou <vivia@ahiru.eu>

	* gst/dvdlpcmdec/gstdvdlpcmdec.c:
	  dvdlpmdec: Fix overrun from coverity
	  CID #1414801

2017-07-07 11:58:36 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  meson: find python3 via python3 module
	  https://bugzilla.gnome.org/show_bug.cgi?id=783198

2017-07-05 18:58:35 +0300  Vivia Nikolaidou <vivia@ahiru.eu>

	* gst/dvdlpcmdec/gstdvdlpcmdec.c:
	* gst/dvdlpcmdec/gstdvdlpcmdec.h:
	  dvdlpcmdec: Added support for Blu-Ray audio
	  https://bugzilla.gnome.org/show_bug.cgi?id=784552

2017-06-27 11:48:08 +0200  Edward Hervey <edward@centricular.com>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: More index handling
	  In the same vein as the previous commit, the end of the file might have been
	  cut and therefore contains bogus data.
	  If the object is too short, consider it as garbage and return a non-fatal
	  flow.
	  Regression introduced in 97294eb8bbed1b9dad7d3f2c52dd69eb1812cc06

2017-06-27 10:25:42 +0200  Edward Hervey <edward@centricular.com>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux; Don't assume index is present at end of file
	  Some files have garbage at the end of the file, don't error out if we don't
	  find the index there.
	  Reverts back to previous behaviour (where corrupted/missing indexex were
	  not a fatal error).
	  Regression introduced in 97294eb8bbed1b9dad7d3f2c52dd69eb1812cc06

2017-06-26 09:49:22 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  meson: fix with-package-name option
	  https://bugzilla.gnome.org/show_bug.cgi?id=784082

2017-06-14 21:08:31 +0200  Mark Nauwelaerts <mnauw@users.sourceforge.net>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: adjust segment start to a keyframe ts only for a KEYUNIT seek
	  ... which is how it has always been until changed coincidentally in commit
	  9ee60482b265481d0e3b397044f560eb736e5429 which then prompted commit
	  dba14178ce6115b406ef86e356b1201463af5e2a to consider ACCURATE as well
	  to compensate for that in a lateral way

2017-06-14 20:56:16 +0200  Mark Nauwelaerts <mnauw@users.sourceforge.net>

	* ext/x264/gstx264enc.c:
	  x264enc: relax bframes upper limit count to maximum encoder supported

2017-06-23 23:44:18 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ext/sidplay/meson.build:
	  meson: don't error out if sidplay library is not found

2017-06-23 18:33:24 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ext/meson.build:
	* ext/sidplay/meson.build:
	  meson: build sid plugin
	  https://bugzilla.gnome.org/show_bug.cgi?id=784135

2017-06-21 21:23:29 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* ext/x264/gstx264enc.c:
	  x264: fix memory leak
	  When the allowed caps are the same of template caps the allowed
	  caps are not unrefed, leaking memory.
	  https://bugzilla.gnome.org/show_bug.cgi?id=784060

2017-06-07 12:08:43 -0400  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* tests/check/meson.build:
	  meson: Do not use path separator in test names
	  Avoiding warnings like:
	  WARNING: Target "elements/audioamplify" has a path separator in its name.

2017-06-06 21:48:19 -0700  Thiago Santos <thiagossantos@gmail.com>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: fix checking for header objects
	  The if 'and' condition was mixed up with the last parameter of the
	  function and would lead to wrong results

2017-05-21 17:49:59 +0100  Tim-Philipp Müller <tim@centricular.com>

	* Makefile.am:
	* config.h.meson:
	* meson.build:
	  meson: don't need config.h.meson any longer

2017-05-20 14:58:37 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	* meson_options.txt:
	  meson: add options to set package name and origin
	  https://bugzilla.gnome.org/show_bug.cgi?id=782172

2017-05-19 20:05:02 +0200  Jan Schmidt <jan@centricular.com>

	* tests/check/meson.build:
	  Add gstvideo_dep for meson mpeg2dec test build

2017-05-19 18:59:17 +0200  Jan Schmidt <jan@centricular.com>

	* tests/check/Makefile.am:
	* tests/check/elements/mpeg2dec.c:
	  mpeg2dec test: Fix expected output caps
	  In the absence of explicit info, video decoders
	  now output mono multiview caps by default, so make
	  the expected caps match that

2017-05-16 14:07:56 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* config.h.meson:
	* configure.ac:
	* ext/a52dec/Makefile.am:
	* ext/amrnb/Makefile.am:
	* ext/amrwbdec/Makefile.am:
	* ext/cdio/Makefile.am:
	* ext/dvdread/Makefile.am:
	* ext/lame/Makefile.am:
	* ext/mpeg2dec/Makefile.am:
	* ext/mpg123/Makefile.am:
	* ext/sidplay/Makefile.am:
	* ext/twolame/Makefile.am:
	* ext/x264/Makefile.am:
	* gst/asfdemux/Makefile.am:
	* gst/dvdlpcmdec/Makefile.am:
	* gst/dvdsub/Makefile.am:
	* gst/realmedia/Makefile.am:
	* gst/xingmux/Makefile.am:
	  Remove plugin specific static build option
	  Static and dynamic plugins now have the same interface. The standard
	  --enable-static/--enable-shared toggle are sufficient.

2017-05-09 09:45:27 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* ext/sidplay/gstsiddec.cc:
	  sid: Make plugin name match plugin file name

2017-05-04 18:59:14 +0300  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	* meson.build:
	  Back to development

=== release 1.12.0 ===

2017-05-04 15:39:25 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-mpg123.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* docs/plugins/inspect/plugin-xingmux.xml:
	* gst-plugins-ugly.doap:
	* meson.build:
	  Release 1.12.0

2017-05-04 15:12:50 +0300  Sebastian Dröge <sebastian@centricular.com>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/fur.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/ms.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	  Update .po files

2017-05-04 13:47:56 +0300  Sebastian Dröge <sebastian@centricular.com>

	* po/id.po:
	* po/sv.po:
	  po: Update translations

=== release 1.11.91 ===

2017-04-27 17:33:23 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-mpg123.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* docs/plugins/inspect/plugin-xingmux.xml:
	* gst-plugins-ugly.doap:
	* meson.build:
	  Release 1.11.91

2017-04-27 16:08:13 +0300  Sebastian Dröge <sebastian@centricular.com>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/fur.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/ms.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	  Update .po files

2017-04-27 15:29:48 +0300  Sebastian Dröge <sebastian@centricular.com>

	* po/LINGUAS:
	* po/fur.po:
	* po/id.po:
	* po/sv.po:
	  po: Update translations

2017-04-27 12:42:34 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* ext/x264/gstx264enc.h:
	  x264: Use __declspec(dllimport) with MinGW too
	  x264.h says this isn't needed with MinGW, but it looks like it is.
	  Fixes https://bugzilla.gnome.org/show_bug.cgi?id=779249

2017-04-24 20:28:15 +0100  Tim-Philipp Müller <tim@centricular.com>

	* common:
	  Automatic update of common submodule
	  From 60aeef6 to 48a5d85

2017-04-10 23:49:25 +0100  Tim-Philipp Müller <tim@centricular.com>

	* autogen.sh:
	* common:
	  Automatic update of common submodule
	  From 39ac2f5 to 60aeef6

=== release 1.11.90 ===

2017-04-07 16:34:22 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-mpg123.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* docs/plugins/inspect/plugin-xingmux.xml:
	* gst-plugins-ugly.doap:
	* meson.build:
	  Release 1.11.90

2017-04-07 15:33:31 +0300  Sebastian Dröge <sebastian@centricular.com>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/ms.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	  Update .po files

2017-04-07 15:07:50 +0300  Sebastian Dröge <sebastian@centricular.com>

	* po/id.po:
	* po/sv.po:
	  po: Update translations

2017-03-28 14:18:38 -0300  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* tests/check/meson.build:
	  meson: test: Fix environment object usage
	  And use get_pkgconfig_variable instead of calling pkg-config ourself

2017-03-20 17:06:16 +0000  Tim-Philipp Müller <tim@centricular.com>

	* REQUIREMENTS:
	  REQUIREMENTS: update for mad mp3 decoder removal
	  https://bugzilla.gnome.org/show_bug.cgi?id=776140

2017-03-12 11:57:23 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* Makefile.am:
	  Add libgstrmdemux.so to cruft list
	  This was renamed to libgstrealmedia.so, this fixes helps fixing
	  uninstalled setup.
	  https://bugzilla.gnome.org/show_bug.cgi?id=779344

2017-03-04 11:09:33 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* docs/plugins/inspect/plugin-realmedia.xml:
	* gst/realmedia/Makefile.am:
	* gst/realmedia/meson.build:
	  Rename plugin filenames to match plugin names
	  libgstrmdemux.so becomes libgstrealmedia.so
	  https://bugzilla.gnome.org/show_bug.cgi?id=779344

2017-03-01 23:00:55 +1100  Jan Schmidt <jan@centricular.com>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  mpeg2dec: Fix latency calculation
	  The latency calculation was missing a scaling by GST_SECOND,
	  so it would always report a tiny latency. Fix that.
	  Spotted by Guillaume Desmottes.

2017-02-27 20:55:34 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: Fix compilation with gcc 7
	  gstasfdemux.c: In function 'gst_asf_demux_parse_stream_object':
	  gstasfdemux.c:3001:39: error: '<<' in boolean context, did you mean '<' ? [-Werror=int-in-bool-context]
	  is_encrypted = ! !((flags & 0x8000) << 15);
	  ~~~~~~~~~~~~~~~~~~^~~~~~
	  https://bugzilla.gnome.org/show_bug.cgi?id=779329

2017-02-25 21:48:46 -0300  Edgard Lima <edgard.lima@gmail.com>

	* ext/amrwbdec/amrwb.c:
	* ext/amrwbdec/amrwbdec.h:
	  Update Edgard Lima's email
	  https://bugzilla.gnome.org/show_bug.cgi?id=779230

2017-02-24 15:59:47 +0200  Sebastian Dröge <sebastian@centricular.com>

	* meson.build:
	  meson: Update version

2017-02-24 15:37:43 +0200  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	  Back to development

=== release 1.11.2 ===

2017-02-24 15:07:54 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/gst-plugins-ugly-plugins.hierarchy:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-mpg123.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* docs/plugins/inspect/plugin-xingmux.xml:
	* gst-plugins-ugly.doap:
	  Release 1.11.2

2017-02-24 12:57:00 +0200  Sebastian Dröge <sebastian@centricular.com>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/ms.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	  Update .po files

2017-02-24 12:45:43 +0200  Sebastian Dröge <sebastian@centricular.com>

	* po/id.po:
	* po/sv.po:
	  po: Update translations

2017-02-14 19:56:13 +0000  Tim-Philipp Müller <tim@centricular.com>

	* Makefile.am:
	  meson: dist meson build files
	  Ship meson build files in tarballs, so people who use tarballs
	  in their builds can start playing with meson already.

2017-02-01 03:08:10 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* ext/x264/gstx264enc.c:
	  x264: Initialize function vtable in plugin_init()
	  These values are defined in the x264.h header and are not const on
	  Windows due to the way DLLs work. See:
	  https://msdn.microsoft.com/en-us/library/619w14ds.aspx
	  https://msdn.microsoft.com/en-us/library/zw3za17w.aspx
	  https://bugzilla.gnome.org/show_bug.cgi?id=777903

2017-01-31 13:50:21 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: Check that we have enough data available before parsing bool/uint extended content descriptors
	  https://bugzilla.gnome.org/show_bug.cgi?id=777955

2017-01-30 15:39:59 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: Reset number of languages to 0 when freeing the array because of errors
	  Otherwise we will happily index into the array at NULL if the requested
	  index is smaller than the number of languages that were previously
	  allocated.
	  https://bugzilla.gnome.org/show_bug.cgi?id=777937

2017-01-24 19:24:10 -0300  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* tests/check/meson.build:
	  meson: Properly use ':' for defining keywords

2017-01-13 12:39:09 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  meson: bump version

2017-01-12 16:32:52 +0200  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	  Back to development

=== release 1.11.1 ===

2017-01-12 16:10:25 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/gst-plugins-ugly-plugins.hierarchy:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-mpg123.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* docs/plugins/inspect/plugin-xingmux.xml:
	* gst-plugins-ugly.doap:
	  Release 1.11.1

2017-01-12 14:45:56 +0200  Sebastian Dröge <sebastian@centricular.com>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/ms.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	  Update .po files

2017-01-12 14:37:02 +0200  Sebastian Dröge <sebastian@centricular.com>

	* po/hr.po:
	* po/id.po:
	* po/sv.po:
	  po: Update translations

2016-12-16 16:52:00 -0300  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* ext/amrnb/meson.build:
	* ext/x264/meson.build:
	* meson.build:
	  meson: Install presets files

2015-06-26 20:22:47 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* ext/x264/GstX264Enc.prs:
	  x264enc: Add a youtube preset.
	  Based on https://support.google.com/youtube/answer/1722171
	  https://bugzilla.gnome.org/show_bug.cgi?id=751560

2016-12-28 10:42:15 +0000  Tim-Philipp Müller <tim@centricular.com>

	* config.h.meson:
	* configure.ac:
	* docs/plugins/Makefile.am:
	* docs/plugins/gst-plugins-ugly-plugins-docs.sgml:
	* docs/plugins/gst-plugins-ugly-plugins-sections.txt:
	* docs/plugins/inspect/plugin-mad.xml:
	* ext/Makefile.am:
	* ext/mad/Makefile.am:
	* ext/mad/gstmad.c:
	* ext/mad/gstmad.h:
	* ext/mad/meson.build:
	* ext/meson.build:
	  mad: remove plugin
	  We have better replacements such as the mpg123 plugin.
	  The main reason to keep around mad was for 'freeform'
	  mp3 support, but mpg123 can handle those too nowadays.
	  Also, mad is GPL and has been unmaintained for years.
	  https://bugzilla.gnome.org/show_bug.cgi?id=776140

2016-12-16 19:07:51 +0000  Tim-Philipp Müller <tim@centricular.com>

	* Makefile.am:
	* configure.ac:
	* win32/MANIFEST:
	* win32/common/.gitignore:
	* win32/common/config.h:
	  win32: remove platform-specific copies of generated headers
	  Unused and no longer needed.

2016-12-14 10:24:26 +0000  Tim-Philipp Müller <tim@centricular.com>

	* .gitignore:
	* Makefile.am:
	* configure.ac:
	* gst-plugins-ugly.spec.in:
	  Remove generated .spec file
	  Likely extremely bitrotten, and we should not ship this anyway.

2016-12-09 17:45:34 -0300  Thibault Saunier <tsaunier@gnome.org>

	* meson.build:
	  meson: Support building without Gst debug

2016-12-03 08:19:44 +0100  Edward Hervey <bilboed@bilboed.com>

	* README:
	* common:
	  Automatic update of common submodule
	  From f980fd9 to 39ac2f5

2016-12-02 14:06:21 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: Fix memory leak of payload extensions for unusable/unsupported streams
	  https://bugzilla.gnome.org/show_bug.cgi?id=775515

2016-11-30 18:11:30 +0200  Vivia Nikolaidou <vivia@ahiru.eu>

	* ext/x264/gstx264enc.c:
	  x264enc: Add information for mixed mode
	  https://bugzilla.gnome.org/show_bug.cgi?id=775411

2016-11-30 17:30:33 +0200  Vivia Nikolaidou <vivia@ahiru.eu>

	* ext/x264/gstx264enc.c:
	  x264enc: Correctly pass interlacing/TFF information
	  Give the interlacing information correctly to the encoder. Also parse
	  TFF/BFF information from the caps and pass it too.
	  https://bugzilla.gnome.org/show_bug.cgi?id=775411

2016-11-28 15:14:18 +0200  Vivia Nikolaidou <vivia@ahiru.eu>

	* ext/x264/gstx264enc.c:
	  x264enc: Auto-detect interlace mode from caps
	  If the caps are interlaced, interlacing is always enabled on the
	  encoder. If the interlace-mode field is missing or if it's progressive,
	  the encoder uses the "interlaced" property.
	  https://bugzilla.gnome.org/show_bug.cgi?id=775228

2016-11-26 11:20:51 +0000  Tim-Philipp Müller <tim@centricular.com>

	* .gitmodules:
	  common: use https protocol for common submodule
	  https://bugzilla.gnome.org/show_bug.cgi?id=775110

2016-11-25 23:51:00 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/realmedia/realhash.c:
	  real: Fix compiler warnings with latest clang
	  realhash.c:295:11: error: implicit conversion from 'int' to 'char' changes value from 128 to -128 [-Werror,-Wconstant-conversion]
	  *buf1 = 128;
	  ~ ^~~
	  https://bugzilla.gnome.org/show_bug.cgi?id=775112

2016-11-25 12:41:03 +0100  Edward Hervey <edward@centricular.com>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: Allow 64bit sizes for DATA object
	  we *can* have files greater than 4GB, any other object should be
	  smaller than that

2016-11-25 10:07:35 +0100  Edward Hervey <edward@centricular.com>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: Add sanity check for asf_stream_audio
	  We should have enough bytes for the specified codec_data
	  https://bugzilla.gnome.org/show_bug.cgi?id=775070

2016-11-25 09:45:04 +0100  Edward Hervey <edward@centricular.com>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: Add sanity checks when reading asf_stream_video_format
	  It should report a size of at least 40 bytes
	  Also check for the size of the remaining data (i.e. codec_data)
	  https://bugzilla.gnome.org/show_bug.cgi?id=775070

2016-11-25 09:44:05 +0100  Edward Hervey <edward@centricular.com>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: Add check for invalid/corrupt asf object
	  An asf object can't realistically be bigger than 2**32 bytes.
	  If it reports a size bigger than that, consider it corrupt and properly
	  propagate the error back.
	  https://bugzilla.gnome.org/show_bug.cgi?id=775070

2016-11-22 17:14:44 +0100  Edward Hervey <edward@centricular.com>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: Handle EOS in push-mode on corrupted files
	  It is possible no streams were activated when receiving EOS, if so
	  handled it as if we hadn't seen the header
	  https://bugzilla.gnome.org/show_bug.cgi?id=774846

2016-11-22 16:56:04 +0100  Edward Hervey <edward@centricular.com>

	* gst/asfdemux/gstasfdemux.c:
	* gst/asfdemux/gstasfdemux.h:
	  asfdemux: FILE headers are mandatory in the header
	  As per the specification, also avoids ending up trying to play a
	  file with plenty of un-initialized values.
	  https://bugzilla.gnome.org/show_bug.cgi?id=774846

2016-11-22 16:54:26 +0100  Edward Hervey <edward@centricular.com>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: Handle incomplete header in pull mode
	  pulling headers is meant to complete as a whole. If we don't have
	  enough data, it's an error.
	  Avoids pipeline hangs on corrupted files
	  https://bugzilla.gnome.org/show_bug.cgi?id=774846

2016-11-22 16:22:49 +0100  Edward Hervey <edward@centricular.com>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: Handle issues with "empty" files
	  In some corrupted files, we could end up with no actual streams
	  being exposed.
	  In those cases, make sure we properly propagate the failure all
	  the way to the loop function. This avoids ending up in cases where
	  we are neither EOS'd nor ERROR'd out from a pipeline point of view.
	  https://bugzilla.gnome.org/show_bug.cgi?id=774846

2016-11-20 20:54:25 +0100  Mark Nauwelaerts <mnauw@users.sourceforge.net>

	* ext/dvdread/dvdreadsrc.c:
	  dvdreadsrc: dvd-spu-clut-change is a sticky custom event

2016-11-17 17:20:03 -0800  Scott D Phillips <scott.d.phillips@intel.com>

	* meson.build:
	  meson: Add ignored warnings for MSVC
	  https://bugzilla.gnome.org/show_bug.cgi?id=774656

2016-11-11 14:15:17 +0200  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	* ext/x264/Makefile.am:
	* ext/x264/gstx264enc.c:
	* ext/x264/gstx264enc.h:
	* ext/x264/meson.build:
	* meson_options.txt:
	  x264enc: Add configure parameter to specify additional x264 libraries with e.g. different depth configuration
	  x264 has to be compiled specifically for a target bit depth.
	  Distributions currently ship various libraries in their packages, with
	  different bit depths.
	  This change now allows to provide them all at configure time and have
	  the x264enc element dynamically switch between them based on the bit
	  depth of the input format.
	  https://bugzilla.gnome.org/show_bug.cgi?id=763297

2016-11-01 18:09:25 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  meson: update version

=== release 1.11.0 ===

2016-11-01 18:53:15 +0200  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	  Back to development

=== release 1.10.0 ===

2016-11-01 18:05:31 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-mpg123.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* docs/plugins/inspect/plugin-xingmux.xml:
	* gst-plugins-ugly.doap:
	* win32/common/config.h:
	  Release 1.10.0

2016-11-01 17:54:16 +0200  Sebastian Dröge <sebastian@centricular.com>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/ms.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	  Update .po files

2016-11-01 17:43:01 +0200  Sebastian Dröge <sebastian@centricular.com>

	* po/id.po:
	* po/sv.po:
	  po: Update translations

2016-10-25 08:54:52 -0700  Scott D Phillips <scott.d.phillips@intel.com>

	* meson.build:
	* tests/meson.build:
	  meson: Don't depend on gstreamer-check-1.0 on windows
	  https://bugzilla.gnome.org/show_bug.cgi?id=773114

2016-10-25 10:51:08 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* meson.build:
	* tests/check/meson.build:
	* tests/meson.build:
	  Revert "meson: move gstreamer-check-1.0 dependency to tests/check"
	  This reverts commit 0555c09607e548b6c45d029ab31dbb3042195ae3.
	  Does not actually work. See:
	  https://bugzilla.gnome.org/show_bug.cgi?id=773114#c31

2016-10-24 00:35:23 +0100  Tim-Philipp Müller <tim@centricular.com>

	* tests/check/meson.build:
	  meson: fix build outside of gst-all

2016-10-21 00:47:14 -0700  Scott D Phillips <scott.d.phillips@intel.com>

	* meson.build:
	* tests/check/meson.build:
	* tests/meson.build:
	  meson: move gstreamer-check-1.0 dependency to tests/check
	  https://bugzilla.gnome.org/show_bug.cgi?id=773114

2016-10-15 22:20:05 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* meson.build:
	  meson: Don't set c_std to gnu99
	  Use the default for each compiler on every platform instead. This
	  improves our compatibility with compilers that don't have gnu99 as
	  a c_std.

2016-10-04 18:06:09 -0300  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* meson.build:
	* tests/check/getpluginsdir:
	* tests/check/meson.build:
	  meson: Make use of new environment object and set plugin path to builddir
	  Workaround source_root being the root directory of all projects
	  in the subproject case and remove now unneeded getpluginsdir
	  Bump meson requirement to 0.35

2016-09-30 11:35:40 -0300  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* hooks/pre-commit.hook:
	* meson.build:
	* tests/check/getpluginsdir:
	  meson: Setup pre commit hook and fix getpluginsdir for standalone case

2016-09-30 11:41:28 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  meson: update version

=== release 1.9.90 ===

2016-09-30 13:03:26 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-mpg123.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* docs/plugins/inspect/plugin-xingmux.xml:
	* gst-plugins-ugly.doap:
	* win32/common/config.h:
	  Release 1.9.90

2016-09-30 12:23:17 +0300  Sebastian Dröge <sebastian@centricular.com>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/ms.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	  Update .po files

2016-09-30 11:44:22 +0300  Sebastian Dröge <sebastian@centricular.com>

	* po/id.po:
	* po/sv.po:
	  po: Update translations

2016-09-29 12:39:34 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/x264/gstx264enc.c:
	  x264enc: Set colorimetry and chroma-site information
	  https://bugzilla.gnome.org/show_bug.cgi?id=772159

2016-09-24 09:08:00 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	* po/meson.build:
	  meson: hook up translations

2016-09-24 08:59:55 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	* tests/check/getpluginsdir:
	* tests/check/meson.build:
	* tests/meson.build:
	  meson: hook up unit tests

2016-09-14 11:30:58 +0200  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	  configure: Depend on gstreamer 1.9.2.1

2016-09-10 20:51:36 +1000  Jan Schmidt <jan@centricular.com>

	* autogen.sh:
	* common:
	  Automatic update of common submodule
	  From b18d820 to f980fd9

2016-09-10 09:54:15 +1000  Jan Schmidt <jan@centricular.com>

	* autogen.sh:
	* common:
	  Automatic update of common submodule
	  From f49c55e to b18d820

2016-09-05 12:22:56 -0300  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* meson.build:
	  meson: Bump version to 1.9.2

2016-09-01 12:28:57 +0300  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	  Back to development

=== release 1.9.2 ===

2016-09-01 12:28:45 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/gst-plugins-ugly-plugins.hierarchy:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-mpg123.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* docs/plugins/inspect/plugin-xingmux.xml:
	* gst-plugins-ugly.doap:
	* win32/common/config.h:
	  Release 1.9.2

2016-09-01 11:24:13 +0300  Sebastian Dröge <sebastian@centricular.com>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/ms.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	  po: Update translations

2016-09-01 10:57:46 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/sidplay/gstsiddec.cc:
	  siddec: Fix compilation with debugging disabled
	  gstsiddec.o
	  gstsiddec.cc: In function ‘void play_loop(GstPad*)’:
	  gstsiddec.cc:446:18: error: unused variable ‘reason’ [-Werror=unused-variable]
	  const gchar *reason = gst_flow_get_name (ret);
	  ^

2016-08-19 11:11:14 -0700  Thibault Saunier <thibault.saunier@osg.samsung.com>

	* ext/sidplay/gstsiddec.cc:
	* gst/asfdemux/gstasfdemux.c:
	* gst/realmedia/rmdemux.c:
	  Use the new API to post flow ERROR messages on the bus
	  https://bugzilla.gnome.org/show_bug.cgi?id=770158

2016-08-24 09:45:05 -0300  Thibault Saunier <tsaunier@gnome.org>

	* gst/asfdemux/meson.build:
	  meson: Link asfdemux against the gstsdp library

2016-08-23 15:29:10 -0300  Thibault Saunier <tsaunier@gnome.org>

	* meson.build:
	  meson: Add support for fallback subprojects

2016-08-12 21:25:34 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* .gitignore:
	* config.h.meson:
	* ext/a52dec/meson.build:
	* ext/amrnb/meson.build:
	* ext/amrwbdec/meson.build:
	* ext/cdio/meson.build:
	* ext/dvdread/meson.build:
	* ext/lame/meson.build:
	* ext/mad/meson.build:
	* ext/meson.build:
	* ext/mpeg2dec/meson.build:
	* ext/mpg123/meson.build:
	* ext/twolame/meson.build:
	* ext/x264/meson.build:
	* gst/asfdemux/meson.build:
	* gst/dvdlpcmdec/meson.build:
	* gst/dvdsub/meson.build:
	* gst/meson.build:
	* gst/realmedia/meson.build:
	* gst/xingmux/meson.build:
	* meson.build:
	  Add support for Meson as alternative/parallel build system
	  https://github.com/mesonbuild/meson
	  With contributions from:
	  Tim-Philipp Müller <tim@centricular.com>
	  Jussi Pakkanen <jpakkane@gmail.com> (original port)
	  Highlights of the features provided are:
	  * Faster builds on Linux (~40-50% faster)
	  * The ability to build with MSVC on Windows
	  * Generate Visual Studio project files
	  * Generate XCode project files
	  * Much faster builds on Windows (on-par with Linux)
	  * Seriously fast configure and building on embedded
	  ... and many more. For more details see:
	  http://blog.nirbheek.in/2016/05/gstreamer-and-meson-new-hope.html
	  http://blog.nirbheek.in/2016/07/building-and-developing-gstreamer-using.html
	  Building with Meson should work on both Linux and Windows, but may
	  need a few more tweaks on other operating systems.

2016-08-12 21:41:39 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* ext/a52dec/gsta52dec.c:
	* ext/dvdread/dvdreadsrc.c:
	* ext/x264/gstx264enc.h:
	* gst/realmedia/realhash.c:
	* gst/realmedia/rtspreal.c:
	  plugins: Use <stdint.h> instead of _stdint.h
	  _stdint.h is generated by Autotools and we don't really need it. All
	  supported platforms now ship with stdint.h. The only stickler was MSVC,
	  and since Visual Studio 2015 it also ships stdint.h now.

2016-08-19 13:01:39 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ext/mpeg2dec/perftest.c:
	  mpeg2dec: remove file no longer used or needed

2016-08-08 09:58:20 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/dvdlpcmdec/Makefile.am:
	  dvdlpcmdec: add libgstbase CFLAGS as well
	  For consistency.
	  https://bugzilla.gnome.org/show_bug.cgi?id=769610

2016-08-07 00:10:24 +0000  xlazom00 <xlazom00@gmail.com>

	* gst/dvdlpcmdec/Makefile.am:
	  dvdlpcmdec: link libgstbase-1.0
	  https://bugzilla.gnome.org/show_bug.cgi?id=769610

2016-08-02 13:38:25 +0200  Carlos Rafael Giani <dv@pseudoterminal.org>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: Add byte rate based bitrate tag in case there are no audio props
	  https://bugzilla.gnome.org/show_bug.cgi?id=769418

2016-04-28 16:42:43 +0200  Michael Olbrich <m.olbrich@pengutronix.de>

	* gst/dvdlpcmdec/gstdvdlpcmdec.c:
	* gst/dvdlpcmdec/gstdvdlpcmdec.h:
	  dvdlpcmdec: add support for another format
	  The format specification can be found here:
	  http://www.dvdforum.org/images/Guideline1394V10R0_20020911.pdf
	  Note: This format is also used for Wifi-Display.
	  https://bugzilla.gnome.org/show_bug.cgi?id=765807

2016-04-28 16:32:53 +0200  Michael Olbrich <m.olbrich@pengutronix.de>

	* gst/dvdlpcmdec/gstdvdlpcmdec.c:
	* gst/dvdlpcmdec/gstdvdlpcmdec.h:
	  dvdlpcmdec: rewrite to use GstAudioDecoder
	  https://bugzilla.gnome.org/show_bug.cgi?id=765807

2016-07-24 10:00:48 +0200  Josep Torra <n770galaxy@gmail.com>

	* ext/sidplay/gstsiddec.cc:
	  sidplay: fix compiler warnings when building with -O3
	  Avoid compiler warnings "‘foo’ may be used uninitialized in this
	  function" when building with -O3 by checking the return bool value
	  of format conversion function.
	  https://bugzilla.gnome.org/show_bug.cgi?id=769116

2016-07-11 21:14:06 +0200  Stefan Sauer <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From f363b32 to f49c55e

2016-07-06 13:51:09 +0300  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	  Back to development

=== release 1.9.1 ===

2016-07-06 13:15:28 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-mpg123.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* docs/plugins/inspect/plugin-xingmux.xml:
	* gst-plugins-ugly.doap:
	* win32/common/config.h:
	  Release 1.9.1

2016-07-06 11:54:01 +0300  Sebastian Dröge <sebastian@centricular.com>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/ms.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	  Update .po files

2016-07-06 10:19:44 +0300  Sebastian Dröge <sebastian@centricular.com>

	* po/hr.po:
	  po: Update translations

2016-06-21 11:46:53 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* common:
	  Automatic update of common submodule
	  From ac2f647 to f363b32

2015-05-12 11:08:55 +0300  Vootele Vesterblom <vov@bang-olufsen.dk>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: fix seeking back after EOS has been reached in push mode
	  Fix seeking when demuxer is in INDEX state. This happens when we
	  reached the end of the stream. It should still be possible to do
	  a flushing seek and seek back to any other position though. Instead
	  the demuxer would just go straight to EOS again instead of going
	  back to processing packets again from the new position.
	  https://bugzilla.gnome.org/show_bug.cgi?id=749066

2016-05-17 16:00:29 +0300  Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

	* gst/realmedia/rdtmanager.c:
	  rdtmanager: fix clock leak
	  The clock returned by gst_system_clock_obtain() was never unreffed.
	  https://bugzilla.gnome.org/show_bug.cgi?id=766565

2016-05-15 13:33:30 +0300  Sebastian Dröge <sebastian@centricular.com>

	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-mpg123.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* docs/plugins/inspect/plugin-xingmux.xml:
	  docs: Update for git master

2016-04-16 09:15:43 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ext/amrnb/amrnbdec.c:
	* ext/mad/gstmad.c:
	  amrnbec, mad: fix two more parse function declarations

2016-04-15 20:46:37 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ext/a52dec/gsta52dec.c:
	* ext/amrwbdec/amrwbdec.c:
	  a52dec, amrwbec: fix parse function declaration mismatch
	  Fixes MSVC compiler warning:
	  amrwbdec.c(99): warning C4133: '=': incompatible types
	  - from 'gboolean (__cdecl *)(GstAudioDecoder *,GstAdapter *,gint *,gint *)' to
	  'GstFlowReturn (__cdecl *)(GstAudioDecoder *,GstAdapter *,gint *,gint *)'
	  gsta52dec.c(156): warning C4133: '=': incompatible types
	  - from 'gboolean (__cdecl *)(GstAudioDecoder *,GstAdapter *,gint *,gint *)' to
	  'GstFlowReturn (__cdecl *)(GstAudioDecoder *,GstAdapter *,gint *,gint *)'

2016-04-15 19:55:03 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ext/mpg123/gstmpg123audiodec.h:
	  mpg123: fix build with msvc
	  Fix syntax errors when compiling against cerbero-provided libmpg123
	  headers. We do the same as the libmpg123 internal visual studio
	  build here.
	  mpg123.h(1378): error C2143: syntax error: missing ')' before '('
	  mpg123.h(1378): error C2081: 'ssize_t': name in formal parameter list illegal
	  mpg123.h(1378): error C2143: syntax error: missing ')' before '*'
	  mpg123.h(1378): error C2091: function returns function
	  mpg123.h(1378): error C2143: syntax error: missing '{' before '*'
	  mpg123.h(1378): error C2059: syntax error: ')'
	  mpg123.h(1379): error C2143: syntax error: missing ')' before '*'
	  mpg123.h(1379): error C2365: 'off_t': redefinition; previous definition was 'typedef'
	  ...

2016-04-15 18:37:42 +0100  Tim-Philipp Müller <tim@centricular.com>

	* configure.ac:
	* ext/mpeg2dec/gstmpeg2dec.c:
	  mpeg2dec: bump libmpeg2 requirement to 0.5.1 and fix msvc build
	  libmpeg2 0.5.1 was released in mid-2008, let's bump the requirement
	  and get rid of version-dependent code paths. There's still
	  avdec_mpeg2video for those who are stuck on ancient distros which
	  we don't target any more.
	  Also fixes build with MSVC, which doesn't like #if #else #endif
	  inside macro arguments (like the GST_DEBUG_OBJECT in line 941).

2016-04-14 10:02:50 +0100  Julien Isorce <j.isorce@samsung.com>

	* README:
	* common:
	  Automatic update of common submodule
	  From 6f2d209 to ac2f647

2016-03-04 16:14:44 +0900  Vineeth TM <vineeth.tm@samsung.com>

	* ext/a52dec/gsta52dec.c:
	* ext/amrnb/amrnbdec.c:
	* ext/amrnb/amrnbenc.c:
	* ext/amrwbdec/amrwbdec.c:
	* ext/dvdread/dvdreadsrc.c:
	* ext/lame/gstlamemp3enc.c:
	* ext/mad/gstmad.c:
	* ext/mpeg2dec/gstmpeg2dec.c:
	* ext/sidplay/gstsiddec.cc:
	* ext/twolame/gsttwolamemp2enc.c:
	* ext/x264/gstx264enc.c:
	* gst/asfdemux/gstasfdemux.c:
	* gst/asfdemux/gstrtpasfdepay.c:
	* gst/dvdlpcmdec/gstdvdlpcmdec.c:
	* gst/dvdsub/gstdvdsubdec.c:
	* gst/dvdsub/gstdvdsubparse.c:
	* gst/realmedia/pnmsrc.c:
	* gst/realmedia/rademux.c:
	* gst/realmedia/rdtdepay.c:
	* gst/realmedia/rdtmanager.c:
	* gst/realmedia/rmdemux.c:
	* gst/xingmux/gstxingmux.c:
	  ugly: use new gst_element_class_add_static_pad_template()
	  https://bugzilla.gnome.org/show_bug.cgi?id=763082

2016-03-24 13:33:22 +0200  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	  Back to development

=== release 1.8.0 ===

2016-03-24 12:43:04 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-mpg123.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* docs/plugins/inspect/plugin-xingmux.xml:
	* gst-plugins-ugly.doap:
	* win32/common/config.h:
	  Release 1.8.0

2016-03-24 12:18:09 +0200  Sebastian Dröge <sebastian@centricular.com>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/ms.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	  Update .po files

=== release 1.7.91 ===

2016-03-15 12:21:07 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-mpg123.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* docs/plugins/inspect/plugin-xingmux.xml:
	* gst-plugins-ugly.doap:
	* win32/common/config.h:
	  Release 1.7.91

2016-03-15 12:03:34 +0200  Sebastian Dröge <sebastian@centricular.com>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/ms.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	  Update .po files

2016-03-08 12:26:01 +0100  Edward Hervey <edward@centricular.com>

	* gst/asfdemux/gstasfdemux.c:
	* gst/asfdemux/gstasfdemux.h:
	  asfdemux: Don't modify segment values on accurate seeks
	  When dealing with accurate seeks, we want to return exactly the segment
	  that was requested by the seek event, and not adjust the values.
	  https://bugzilla.gnome.org/show_bug.cgi?id=755469

=== release 1.7.90 ===

2016-03-01 18:42:01 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-mpg123.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* docs/plugins/inspect/plugin-xingmux.xml:
	* gst-plugins-ugly.doap:
	* win32/common/config.h:
	  Release 1.7.90

2016-03-01 17:18:01 +0200  Sebastian Dröge <sebastian@centricular.com>

	* po/af.po:
	* po/az.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/ms.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	  Update .po files

2016-03-01 16:54:07 +0200  Sebastian Dröge <sebastian@centricular.com>

	* po/bg.po:
	  po: Update translations

2016-02-27 20:17:31 +0100  Jens Georg <mail@jensge.org>

	* ext/dvdread/dvdreadsrc.c:
	  dvdread: Fix seek starting at 0 for title != 1
	  Otherwise the playback would start at title 0
	  https://bugzilla.gnome.org/show_bug.cgi?id=762787

2016-02-26 12:41:18 +0200  Sebastian Dröge <sebastian@centricular.com>

	* common:
	  Automatic update of common submodule
	  From b64f03f to 6f2d209

2016-02-22 22:08:12 +0000  Tim-Philipp Müller <tim@centricular.com>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: fix adding bitrate to stream tags
	  https://bugzilla.gnome.org/show_bug.cgi?id=699586

2016-02-21 10:11:12 +0000  Tim-Philipp Müller <tim@centricular.com>

	* gst/asfdemux/asf.vcproj:
	* gst/realmedia/rmdemux.vcproj:
	* win32/MANIFEST:
	* win32/gst.sln:
	* win32/vs6/gst_plugins_ugly.dsw:
	* win32/vs6/libgstasfdemux.dsp:
	* win32/vs6/libgstdvdlpcmdec.dsp:
	* win32/vs6/libgstdvdsub.dsp:
	* win32/vs6/libgstlame.dsp:
	* win32/vs6/libgstmad.dsp:
	* win32/vs6/libgstrealmedia.dsp:
	* win32/vs6/libgstsynaesthesia.dsp:
	  win32: remove outdated build cruft
	  This hasn't been touched for generations, doesn't work,
	  and is just causing confusion. We also don't want to
	  maintain these files manually.

2016-02-20 11:55:37 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  mpeg2dec: don't use exported but undeclared core debug category symbols
	  It's not right and won't work on Windows with MSVC.

2016-02-19 12:38:34 +0200  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	  Back to development

=== release 1.7.2 ===

2016-02-19 11:58:13 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-mpg123.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* docs/plugins/inspect/plugin-xingmux.xml:
	* gst-plugins-ugly.doap:
	* win32/common/config.h:
	  Release 1.7.2

2016-02-19 11:21:03 +0200  Sebastian Dröge <sebastian@centricular.com>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/ms.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	  Update .po files

2016-02-19 10:32:06 +0200  Sebastian Dröge <sebastian@centricular.com>

	* po/fr.po:
	* po/pt_BR.po:
	  po: Update translations

2016-02-18 00:25:56 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/sidplay/gstsiddec.cc:
	  sidplay: Fix compiler warning about C++11 compatibility
	  gstsiddec.cc:78:17: error: invalid suffix on literal; C++11 requires a space between literal and string macro [-Werror=literal-suffix]
	  #define FORMATS "{ "GST_AUDIO_NE(S16)","GST_AUDIO_NE(U16)", S8, U8 }"
	  ^
	  gstsiddec.cc:78:38: error: invalid suffix on literal; C++11 requires a space between literal and string macro [-Werror=literal-suffix]
	  #define FORMATS "{ "GST_AUDIO_NE(S16)","GST_AUDIO_NE(U16)", S8, U8 }"
	  ^

2016-02-16 14:46:11 +0000  Tim-Philipp Müller <tim@centricular.com>

	* docs/plugins/gst-plugins-ugly-plugins.hierarchy:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-mpg123.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* docs/plugins/inspect/plugin-xingmux.xml:
	  docs: update inspection to git and fix mpg123 inspect location

2016-02-16 12:23:33 +0000  Tim-Philipp Müller <tim@centricular.com>

	* tests/files/Makefile.am:
	* tests/files/stream.mp2:
	  tests: fix distcheck

2016-02-16 10:38:18 +0000  Tim-Philipp Müller <tim@centricular.com>

	* configure.ac:
	* docs/plugins/gst-plugins-ugly-plugins-docs.sgml:
	* docs/plugins/gst-plugins-ugly-plugins-sections.txt:
	* docs/plugins/xml/plugin-mpg123.xml:
	* ext/Makefile.am:
	* gst-plugins-ugly.spec.in:
	* tests/check/Makefile.am:
	  mpg123: move from -bad to -ugly
	  Hook up to build system, add to docs

2016-02-16 10:55:01 +0000  Tim-Philipp Müller <tim@centricular.com>

	* configure.ac:
	* tests/Makefile.am:
	* tests/check/Makefile.am:
	* tests/check/elements/.gitignore:
	* tests/files/Makefile.am:
	* tests/files/cbr_stream.mp3:
	* tests/files/vbr_stream.mp3:
	  tests: add test data for mpg123 plugin

2016-02-16 10:41:07 +0000  Tim-Philipp Müller <tim@centricular.com>

	  Merge branch 'plugin-move-mpg123'
	  Move mpg123 plugin from -bad to -ugly.
	  https://bugzilla.gnome.org/show_bug.cgi?id=719849

2015-12-14 11:09:46 +0900  Vineeth TM <vineeth.tm@samsung.com>

	* ext/mpg123/gstmpg123audiodec.c:
	  plugins-bad: Fix example pipelines
	  rename gst-launch --> gst-launch-1.0
	  replace old elements with new elements(ffmpegcolorspace -> videoconvert, ffenc_** -> avenc_**)
	  fix caps in examples
	  https://bugzilla.gnome.org/show_bug.cgi?id=759432

2015-08-17 11:50:28 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ext/mpg123/gstmpg123audiodec.c:
	  mpg123: still reset pending audio info on hard flush
	  Follow-up to previous commit.
	  https://bugzilla.gnome.org/show_bug.cgi?id=752431

2015-07-15 10:44:02 -0600  Jason Litzinger <jlitzinger@control4.com>

	* ext/mpg123/gstmpg123audiodec.c:
	  mpg123: fix handling of sample rate change during playback
	  If the sample rate of the media changes, the resulting flush will
	  clear the has_next_audioinfo flag, and the caps won't be sent
	  downstream.
	  https://bugzilla.gnome.org/show_bug.cgi?id=752431

2015-08-15 12:58:40 -0300  Thiago Santos <thiagoss@osg.samsung.com>

	* ext/mpg123/gstmpg123audiodec.c:
	  audiodecoders: use default pad accept-caps handling
	  Avoids useless check of downstream caps when handling an
	  accept-caps query
	  Elements: dtsdec, faad, gsmdec, mpg123audiodec, opusdec,
	  sbcdec, adpcmdec, sirendec

2015-04-26 18:04:16 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ext/mpg123/Makefile.am:
	  Remove obsolete Android build cruft
	  This is not needed any longer.

2015-01-11 01:08:08 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ext/mpg123/gstmpg123audiodec.c:
	  mpg123: fix compiler warning and simplify checks in set_caps
	  https://bugzilla.gnome.org/show_bug.cgi?id=740195

2015-01-03 13:06:45 +0100  Carlos Rafael Giani <dv@pseudoterminal.org>

	* ext/mpg123/gstmpg123audiodec.c:
	  mpg123: rework set_format code so mpg123audiodec works with decodebin/playbin
	  The old code was using gst_caps_normalize() and was generally overly
	  complex. Simplify by picking sample rate and number of channels from
	  upstream and the sample format from the allowed caps. If the format caps
	  is a list of strins, just pick the first one. And if the srcpad isn't
	  linked yet, use the default format (S16).
	  https://bugzilla.gnome.org/show_bug.cgi?id=740195

2014-09-10 17:24:39 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ext/mpg123/gstmpg123audiodec.c:
	  Fix up one-element lists in template caps

2014-03-05 00:51:04 +0000  Tim-Philipp Müller <tim@centricular.com>

	* tests/check/elements/mpg123audiodec.c:
	  tests: fix mpg123audiodec test for big-endian architectures

2014-02-04 17:22:27 +0100  Carlos Rafael Giani <dv@pseudoterminal.org>

	* ext/mpg123/gstmpg123audiodec.c:
	  mpg123: improved error report and checks
	  Signed-off-by: Carlos Rafael Giani <dv@pseudoterminal.org>

2013-12-05 12:04:39 +0100  Sebastian Dröge <sebastian@centricular.com>

	* ext/mpg123/gstmpg123audiodec.c:
	  mpg123audiodec: Require caps to be set before any data processing

2013-07-26 17:25:42 +0200  Edward Hervey <edward@collabora.com>

	* ext/mpg123/gstmpg123audiodec.c:
	  mpg123: Remove dead assignment
	  harder ? :)

2013-05-15 11:25:07 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* tests/check/elements/mpg123audiodec.c:
	  mpg123audiodec: Fix event handling in unit test

2012-10-24 12:16:39 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/mpg123/Makefile.am:
	  gst: Add better support for static plugins

2013-04-15 00:22:39 -0700  David Schleef <ds@schleef.org>

	* ext/mpg123/gstmpg123audiodec.c:
	  mpg123: Add conditional on API version for new enum

2016-02-05 19:11:38 -0300  Thiago Santos <thiagoss@osg.samsung.com>

	* tests/check/Makefile.am:
	  tests: extend the AM_TESTS_ENVIRONMENT from check.mak
	  To get the CK_DEFAULT_TIMEOUT defined for all tests
	  https://bugzilla.gnome.org/show_bug.cgi?id=761472

2016-02-05 18:07:02 -0300  Thiago Santos <thiagoss@osg.samsung.com>

	* autogen.sh:
	* common:
	  Automatic update of common submodule
	  From 86e4663 to b64f03f

2016-01-25 20:00:26 +0000  Tim-Philipp Müller <tim@centricular.com>

	* configure.ac:
	* ext/amrnb/amrnbdec.h:
	* ext/amrnb/amrnbenc.h:
	* ext/amrwbdec/amrwbdec.h:
	  amrnb, amrwb: unconditionally depend on opencore-amr*b >= 0.1.3
	  We don't really need to cater for older versions any more.

2016-01-21 17:34:38 +0100  Edward Hervey <edward@centricular.com>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  mpeg2dec: Demote rank to SECONDARY
	  https://bugzilla.gnome.org/show_bug.cgi?id=574461

2016-01-08 21:40:53 -0300  Thiago Santos <thiagoss@osg.samsung.com>

	* gst/dvdsub/gstdvdsubdec.c:
	  dvdsubdec: use query caps instead of accept-caps
	  accept-caps does only a shallow check and a full downstream
	  caps query is needed to check if ARGB is possible

2015-10-30 11:06:11 +0530  Ravi Kiran K N <ravi.kiran@samsung.com>

	* gst/asfdemux/asfpacket.c:
	* gst/asfdemux/gstasfdemux.c:
	* gst/asfdemux/gstasfdemux.h:
	  asfdemux: Support reverse playback
	  Support reverse playback for ASF format.
	  Parse packets and queue the payloads, then push
	  the payload buffer to decoder in reverse order.
	  Video buffers are pushed from KeyFrame to next
	  Keyframe.
	  https://bugzilla.gnome.org/show_bug.cgi?id=757341

2015-12-24 15:28:46 +0100  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	  Back to development

2015-12-24 14:48:50 +0100  Sebastian Dröge <sebastian@centricular.com>

	* tests/check/elements/amrnbenc.c:
	  amrnbenc: Fix various compiler warnings in the test

2015-12-24 14:48:38 +0100  Sebastian Dröge <sebastian@centricular.com>

	* tests/check/elements/x264enc.c:
	  x264enc: Fix various compiler warnings in the test

=== release 1.7.1 ===

2015-12-24 14:41:21 +0100  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* docs/plugins/inspect/plugin-xingmux.xml:
	* gst-plugins-ugly.doap:
	* win32/common/config.h:
	  Release 1.7.1

2015-12-24 14:10:29 +0100  Sebastian Dröge <sebastian@centricular.com>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/ms.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	  Update .po files

2015-12-24 12:23:27 +0100  Sebastian Dröge <sebastian@centricular.com>

	* po/id.po:
	* po/sv.po:
	  po: Update translations

2015-12-21 12:32:32 +0100  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	  configure: Use -Bsymbolic-functions if available
	  While this is more useful for libraries, some of our plugins with multiple
	  files and some internal API can also benefit from this.

2015-12-16 09:36:08 +0100  Sebastian Dröge <sebastian@centricular.com>

	* docs/plugins/gst-plugins-ugly-plugins.args:
	* docs/plugins/gst-plugins-ugly-plugins.hierarchy:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* docs/plugins/inspect/plugin-xingmux.xml:
	  docs: update to git

2015-12-07 09:08:18 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.co.uk>

	* autogen.sh:
	* common:
	  Automatic update of common submodule
	  From b319909 to 86e4663

2015-11-26 15:49:47 +0000  Arjen Veenhuizen <arjen.veenhuizen@tno.nl>

	* ext/x264/gstx264enc.c:
	  x264enc: increase bitrate limit from 100Mbps to 2Gbps
	  Don't artificially limit the bitrate, x264enc allows much
	  higher bitrates, and for intra-only 4k AVC they are needed.
	  x264 clips to 2Gbps internally, so use that as limit for now.
	  https://bugzilla.gnome.org/show_bug.cgi?id=758620

2015-11-18 23:20:59 -0800  Reynaldo H. Verdejo Pinochet <reynaldo@osg.samsung.com>

	* ext/x264/gstx264enc.c:
	  x264enc: drop unnecessary NULL check before g_free

2015-10-21 14:35:17 +0100  Tim-Philipp Müller <tim@centricular.com>

	* common:
	  Automatic update of common submodule
	  From b99800a to b319909

2015-10-20 17:29:42 +0300  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	  Use new GST_ENABLE_EXTRA_CHECKS #define
	  https://bugzilla.gnome.org/show_bug.cgi?id=756870

2015-10-21 14:26:07 +0300  Sebastian Dröge <sebastian@centricular.com>

	* README:
	* common:
	  Automatic update of common submodule
	  From 9aed1d7 to b99800a

2015-10-02 22:24:46 +0300  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	  Update GLib dependency to 2.40.0

2015-09-29 14:16:07 -0700  Reynaldo H. Verdejo Pinochet <reynaldo@osg.samsung.com>

	* ext/dvdread/README:
	  dvdread: remove broken link
	  Removing instead of updating as previously pointed-to page
	  (now http://dvd.sourceforge.net/dvdinfo/) is already linked
	  from dvd.sourceforge.net's homepage as: "Collection of
	  information on file formats/data structures relating to DVD
	  navigation/SPUs."

2015-09-26 09:23:05 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/dvdlpcmdec/gstdvdlpcmdec.c:
	  dvdlpcmdec: fix invalid read beyond channel position array
	  We would always copy sizeof(sorted_position) bytes, which is
	  for 8 channels, but if we have less than 8 channels the
	  position array we copy from will only have allocated space
	  for channel channels, so we would read beyond the input
	  array in some cases.

2015-08-25 10:08:46 +0900  HoonHee Lee <hoonhee.lee@lge.com>

	* gst/dvdlpcmdec/gstdvdlpcmdec.c:
	  dvdlpcmdec: factor out common code to set output format into new function
	  When caps event is recieved and header is changed, reordering channel
	  and setting the default output format for audio are processed. These 2 of
	  code are same. Thus, It is better to make a new function for these common
	  code in terms of removing duplicated code, maintenance and expansion.
	  https://bugzilla.gnome.org/show_bug.cgi?id=753920

2015-09-23 20:45:34 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: Don't push any data on pads after the segment.stop
	  https://bugzilla.gnome.org/show_bug.cgi?id=755469

2015-09-23 20:30:21 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/asfdemux/gstasfdemux.c:
	* gst/asfdemux/gstasfdemux.h:
	  asfdemux: Only change segment start to a keyframe for KEYUNIT seeks
	  Not for accurate seeks, which should accurately start at the requested
	  position.
	  https://bugzilla.gnome.org/show_bug.cgi?id=755469

2015-09-23 20:23:40 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: Update segment.position when pushing buffers
	  Without this, non-flushing seeks are not going to work well.
	  https://bugzilla.gnome.org/show_bug.cgi?id=755469

2015-09-23 19:37:43 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: Only push EOS event if we're not doing a segment seek
	  https://bugzilla.gnome.org/show_bug.cgi?id=755469

2015-09-23 16:31:28 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: If pushing buffers returned EOS, go into the EOS and not failure code path
	  We don't want to unconditionally send an EOS event downstream, but might want
	  to send a SEGMENT_DONE message/event instead if a segment seek was done
	  before.
	  https://bugzilla.gnome.org/show_bug.cgi?id=755469

2015-09-25 23:51:12 +0200  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	  Back to development

=== release 1.6.0 ===

2015-09-25 23:32:02 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* docs/plugins/inspect/plugin-xingmux.xml:
	* gst-plugins-ugly.doap:
	* win32/common/config.h:
	  Release 1.6.0

2015-09-25 23:04:56 +0200  Sebastian Dröge <sebastian@centricular.com>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/ms.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	  Update .po files

=== release 1.5.91 ===

2015-09-18 20:01:17 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* docs/plugins/inspect/plugin-xingmux.xml:
	* gst-plugins-ugly.doap:
	* win32/common/config.h:
	  Release 1.5.91

2015-09-18 19:34:50 +0200  Sebastian Dröge <sebastian@centricular.com>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/ms.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	  Update .po files

2015-09-18 11:53:57 +0200  Sebastian Dröge <sebastian@centricular.com>

	* po/zh_CN.po:
	  po: Update translations

2015-09-05 23:34:45 +1000  Jan Schmidt <jan@centricular.com>

	* ext/x264/gstx264enc.c:
	  x264: Add bitrate info to the tags output.
	  Makes it possible for muxers to know the target bitrate as soon
	  as encoding starts, which flvmux now uses.

2015-08-28 19:18:32 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/asfdemux/gstasfdemux.c:
	* gst/asfdemux/gstasfdemux.h:
	  asfdemux: fix file mode of some source files

=== release 1.5.90 ===

2015-08-19 14:05:27 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* docs/plugins/inspect/plugin-xingmux.xml:
	* gst-plugins-ugly.doap:
	* win32/common/config.h:
	  Release 1.5.90

2015-08-19 12:55:35 +0300  Sebastian Dröge <sebastian@centricular.com>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/ms.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	  Update .po files

2015-08-19 11:33:01 +0300  Sebastian Dröge <sebastian@centricular.com>

	* po/id.po:
	* po/sv.po:
	  po: Update translations

2015-08-18 02:23:55 -0300  Thiago Santos <thiagoss@osg.samsung.com>

	* ext/x264/gstx264enc.c:
	  x264enc: actually return TRUE from accept-caps handler
	  The query was handled

2015-08-16 14:27:44 -0300  Thiago Santos <thiagoss@osg.samsung.com>

	* ext/x264/gstx264enc.c:
	  x264enc: implement accept-caps handling
	  Implement accept-caps handling without doing caps queries downstream

2015-08-15 22:15:26 -0300  Thiago Santos <thiagoss@osg.samsung.com>

	* ext/amrnb/amrnbenc.c:
	* ext/lame/gstlamemp3enc.c:
	* ext/twolame/gsttwolamemp2enc.c:
	  audioencoders: use template subset check for accept-caps
	  It is faster than doing a query that propagates downstream and
	  should be enough
	  Elements: amrnbenc, lamemp3enc, twolamemp2enc

2015-08-15 11:46:59 -0300  Thiago Santos <thiagoss@osg.samsung.com>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  mpeg2dec: use default pad accept-caps handling
	  Avoids useless check of downstream caps when handling an
	  accept-caps query

2015-08-15 11:46:13 -0300  Thiago Santos <thiagoss@osg.samsung.com>

	* ext/a52dec/gsta52dec.c:
	* ext/amrnb/amrnbdec.c:
	* ext/amrwbdec/amrwbdec.c:
	* ext/mad/gstmad.c:
	  audiodecoders: use default pad accept-caps handling
	  Avoids useless check of downstream caps when handling an
	  accept-caps query
	  Elements: a52dec, amrnbdec, amrwbdec, mad

2015-08-14 11:14:31 +0200  Edward Hervey <bilboed@bilboed.com>

	* tests/check/generic/states.c:
	  check: Rename states unit test
	  Makes it easier to differentiate from other modules states unit test

2015-08-06 10:05:53 +0900  Vineeth TM <vineeth.tm@samsung.com>

	* gst/realmedia/rmdemux.c:
	  rmdemux: fix assertion error when freeing old tags.
	  Check if old_tags is present before calling gst_tag_list_unref
	  https://bugzilla.gnome.org/show_bug.cgi?id=753301

2015-07-24 10:08:34 +0900  Vineeth TM <vineeth.tm@samsung.com>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: fix assertion error when codec_data is not present in structure
	  When discovering a particular asf file, caps structure doesn't have
	  codec_data, and this was not being checked before using the same,
	  resulting in assertion error
	  https://bugzilla.gnome.org/show_bug.cgi?id=752803

2015-07-29 15:55:14 +0100  Luis de Bethencourt <luis@debethencourt.com>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: remove unread value
	  Init value of idx2 is never used. First usage sets it to idx + 1. Removing
	  initial value.

2015-07-25 04:55:15 -0400  Olivier Crête <olivier.crete@collabora.com>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: Don't post error on flushing while reading headers

2015-07-21 11:13:27 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/realmedia/rmdemux.c:
	  rmdemux: mark tag list as global scope

2015-07-21 11:10:04 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/realmedia/rmdemux.c:
	  rmdemux: fix taglist leak
	  merge doesn't take ownership, so must unref the
	  old tags if we do merge.

2015-07-21 12:44:55 +0900  Vineeth TM <vineeth.tm@samsung.com>

	* gst/realmedia/rmdemux.c:
	  rmdemux: fix wrong unref when there are no tags
	  Tags should be appended to pending tags and unref'ed only if tags
	  are present. Else there is no need to append.
	  https://bugzilla.gnome.org/show_bug.cgi?id=752404

2015-07-16 18:11:37 +0900  Vineeth T M <vineeth.tm@samsung.com>

	* gst/realmedia/rmdemux.c:
	  rmdemux: fix memory leaks during error cases
	  while adding stream, during error cases, only stream is
	  being freed. Adapter, pad, tags, subpackets, index are not being
	  freed resulting in memory leaks
	  https://bugzilla.gnome.org/show_bug.cgi?id=752404

2015-07-16 17:23:15 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst-plugins-ugly.doap:
	  Update mailing list in doap file as well

2015-07-16 17:19:37 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ext/amrnb/amrnbdec.c:
	  Update mailing list address from sourceforge to freedesktop

2015-07-16 09:49:17 +0900  Vineeth T M <vineeth.tm@samsung.com>

	* gst/realmedia/rmdemux.c:
	  rmdemux: fix tag memory leak
	  tags is not being freed after being merged to the
	  pending_tags.
	  https://bugzilla.gnome.org/show_bug.cgi?id=752404

2015-07-03 21:58:33 +0200  Stefan Sauer <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From f74b2df to 9aed1d7

2015-06-25 00:04:19 +0200  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	  Back to development

=== release 1.5.2 ===

2015-06-24 23:39:37 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/gst-plugins-ugly-plugins.args:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* docs/plugins/inspect/plugin-xingmux.xml:
	* gst-plugins-ugly.doap:
	* win32/common/config.h:
	  Release 1.5.2

2015-06-24 23:14:52 +0200  Sebastian Dröge <sebastian@centricular.com>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/ms.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	  Update .po files

2015-06-24 11:15:22 +0200  Sebastian Dröge <sebastian@centricular.com>

	* po/nl.po:
	  po: Update translations

2015-06-15 16:33:26 +1000  Jan Schmidt <jan@centricular.com>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: Use gst_video_multiview_guess_half_aspect() function
	  Use gst_video_multiview_guess_half_aspect() to guess if frame-packed
	  stereoscopic video is full-frame per view or not.

2015-06-16 17:49:05 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 6015d26 to f74b2df

2014-11-26 22:15:43 +0100  Matej Knopp <matej.knopp@gmail.com>

	* ext/x264/gstx264enc.c:
	* ext/x264/gstx264enc.h:
	  x264enc: Use gst_video_encoder_set_min_pts
	  This method replace the manual adjustment of PTS and DTS to avoid
	  negative DTS issues. Using this method will also update the segment so
	  we don't loos sync.
	  https://bugzilla.gnome.org/show_bug.cgi?id=740575

2015-06-10 14:28:05 +1000  Jan Schmidt <jan@centricular.com>

	* gst/asfdemux/Makefile.am:
	* gst/asfdemux/gstasfdemux.c:
	* gst/asfdemux/gstasfdemux.h:
	  asfdemux: Add support for stereoscopic video metadata.
	  Add parsing of stereoscopic metadata, and place into the caps to
	  the decoder.
	  Fix parsing of Advanced Mutual Exclustion objects.
	  https://bugzilla.gnome.org/show_bug.cgi?id=711190
	  Based on a patch by HyeJin Choi <meeshel78@hotmail.com>

2014-10-05 00:54:59 +1000  Jan Schmidt <jan@centricular.com>

	* ext/x264/gstx264enc.c:
	* ext/x264/gstx264enc.h:
	  x264enc: Add support for stereoscopic video
	  Provide new frame-packing property to directly set
	  x264enc frame packing, or pass through upstream settings
	  The explicit layout from the frame-packing property is
	  preferred over any info from the caps.

2015-06-10 15:32:44 +0100  Chris Clayton <chris2553@googlemail.com>

	* gst/xingmux/gstxingmux.c:
	  xingmux: fix compiler warnings
	  https://bugzilla.gnome.org/show_bug.cgi?id=750596

2015-06-09 15:28:46 +0200  Stefan Sauer <ensonic@users.sf.net>

	* Makefile.am:
	  cruft: add the obsolete tmpl dir to cruft-dirs

2015-06-09 11:30:34 +0200  Edward Hervey <bilboed@bilboed.com>

	* common:
	  Automatic update of common submodule
	  From d9a3353 to 6015d26

2015-06-08 23:08:11 +0200  Stefan Sauer <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From d37af32 to d9a3353

2015-06-07 23:06:47 +0200  Stefan Sauer <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From 21ba2e5 to d37af32

2015-06-07 17:32:12 +0200  Stefan Sauer <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From c408583 to 21ba2e5

2015-06-07 17:02:31 +0200  Stefan Sauer <ensonic@users.sf.net>

	* docs/plugins/Makefile.am:
	  docs: remove variables that we define in the snippet from common
	  This is syncing our Makefile.am with upstream gtkdoc.

2015-06-07 17:16:30 +0200  Stefan Sauer <ensonic@users.sf.net>

	* autogen.sh:
	* common:
	  Automatic update of common submodule
	  From d676993 to c408583

2015-06-07 16:44:43 +0200  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	  Back to development

=== release 1.5.1 ===

2015-06-07 11:05:29 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/gst-plugins-ugly-plugins.args:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* docs/plugins/inspect/plugin-xingmux.xml:
	* gst-plugins-ugly.doap:
	* win32/common/config.h:
	  Release 1.5.1

2015-06-07 11:05:22 +0200  Sebastian Dröge <sebastian@centricular.com>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/ms.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	  Update .po files

2015-06-07 09:36:00 +0200  Sebastian Dröge <sebastian@centricular.com>

	* po/eo.po:
	* po/fr.po:
	  po: Update translations

2015-06-02 16:31:10 +0200  Edward Hervey <edward@centricular.com>

	* tests/check/elements/amrnbenc.c:
	* tests/check/elements/mpeg2dec.c:
	* tests/check/elements/x264enc.c:
	* tests/check/elements/xingmux.c:
	* tests/check/pipelines/lame.c:
	  check: Use GST_CHECK_MAIN () macro everywhere
	  Makes source code smaller, and ensures we go through common initialization
	  path (like the one that sets up XML unit test output ...)

2015-05-26 17:58:18 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ext/x264/gstx264enc.c:
	  x264enc: don't artificially limit max allowed value of "threads" property
	  In auto mode it will happily chose much higher values anyway,
	  and a limit of 4 seems a bit low these days.

2015-05-12 22:05:02 +1000  Jan Schmidt <jan@centricular.com>

	* ext/dvdread/dvdreadsrc.c:
	  dvdread: Also reset the first_seek var in start()
	  Make the initial chapter seek work across reuse.
	  https://bugzilla.gnome.org/show_bug.cgi?id=453322

2015-05-12 21:52:24 +1000  Jan Schmidt <jan@centricular.com>

	* ext/dvdread/dvdreadsrc.c:
	* ext/dvdread/dvdreadsrc.h:
	  dvdread: Work around basesrc initial seek
	  Ignore the initial seek basesrc sends, as it
	  breaks starting from another chapter by
	  immediately seeking back to the start of the title

2015-05-10 11:34:33 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ext/a52dec/gsta52dec.c:
	* ext/amrnb/amrnbdec.c:
	* ext/amrnb/amrnbenc.c:
	* ext/amrwbdec/amrwbdec.c:
	* ext/cdio/gstcdiocddasrc.c:
	* ext/lame/gstlamemp3enc.c:
	* ext/mad/gstmad.c:
	* ext/sidplay/gstsiddec.cc:
	* ext/twolame/gsttwolamemp2enc.c:
	* ext/x264/gstx264enc.c:
	* gst/realmedia/rademux.c:
	* gst/xingmux/gstxingmux.c:
	  docs: update example pipelines in element docs
	  Mostly gst-launch -> gst-launch-1.0, but also
	  use autoaudiosink/autovideosink in more places
	  and update pipelines a little or flesh out
	  descriptions.

2015-04-27 10:57:12 +0100  Luis de Bethencourt <luis.bg@samsung.com>

	* gst/dvdlpcmdec/gstdvdlpcmdec.c:
	* gst/realmedia/rdtdepay.c:
	  Rename property enums from ARG_ to PROP_
	  Property enum items should be nameed PROP_ for consistency and readability.

2015-04-26 17:56:22 +0100  Tim-Philipp Müller <tim@centricular.com>

	* Android.mk:
	* ext/mad/Makefile.am:
	* ext/x264/Makefile.am:
	* gst/asfdemux/Makefile.am:
	* gst/dvdlpcmdec/Makefile.am:
	* gst/dvdsub/Makefile.am:
	* gst/realmedia/Makefile.am:
	* gst/xingmux/Makefile.am:
	  Remove obsolete Android build cruft
	  This is not needed any longer.

2015-04-24 17:05:20 +0100  Luis de Bethencourt <luis.bg@samsung.com>

	* gst/realmedia/pnmsrc.c:
	  realmedia: remove unused enum item PROP_LAST

2015-04-23 16:23:01 +0100  Tim-Philipp Müller <tim@centricular.com>

	* tests/check/Makefile.am:
	  tests: define GST_CHECK_TEST_ENVIRONMENT_BEACON
	  Make sure the test environment is set up.
	  https://bugzilla.gnome.org//show_bug.cgi?id=747624

2015-04-23 16:22:39 +0100  Tim-Philipp Müller <tim@centricular.com>

	* configure.ac:
	  configure: bump automake requirement to 1.14 and autoconf to 2.69
	  This is only required for builds from git, people can still
	  build tarballs if they only have older autotools.
	  https://bugzilla.gnome.org//show_bug.cgi?id=747624

2015-04-23 16:22:30 +0100  Tim-Philipp Müller <tim@centricular.com>

	* .gitignore:
	  Update .gitignore

2015-04-22 10:37:54 +0200  Sebastian Dröge <sebastian@centricular.com>

	* LICENSE_readme:
	  Remove LICENSE_readme
	  It's completely outdated and just confusing, better if people are
	  forced to look at the actual code in question than trusting this file.

2015-04-22 10:37:43 +0200  Sebastian Dröge <sebastian@centricular.com>

	* INSTALL:
	  Remove INSTALL file
	  autotools automatically generate this, and when using different versions
	  for autogen.sh there will always be changes to a file tracked by git.

2015-04-20 14:35:30 +0900  Cliff Han <cliff.han@lge.com>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: fix a seek failure due to out-of-range in push mode
	  A seek in push mode failed for big offsets which are beyond
	  the range of guint32.
	  https://bugzilla.gnome.org/show_bug.cgi?id=748162

2015-04-08 16:52:06 +0200  Edward Hervey <edward@centricular.com>

	* common:
	* tests/check/Makefile.am:
	  tests: Use AM_TESTS_ENVIRONMENT
	  Needed by the new automake test runner

2015-04-03 18:58:03 +0100  Tim-Philipp Müller <tim@centricular.com>

	* autogen.sh:
	* common:
	  Automatic update of common submodule
	  From bc76a8b to c8fb372

2015-04-02 17:24:05 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* ext/a52dec/gsta52dec.c:
	  a52dec: fix race in liba52dec lookup table initialization
	  a52_init initializes the IMDCT global state as well as creating
	  a new state. When two A52 decoders are created (eg, when two AC3
	  tracks are contained in a video), calls to a52_init may happen
	  at the same time, and the IMDCT initialization is not reentrant.
	  https://bugzilla.gnome.org/show_bug.cgi?id=746781

2015-03-27 14:41:51 +0100  Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  mpeg2dec: fix buffer leak in crop_buffer()
	  gst_buffer_pool_acquire_buffer() gives us a new owned buffer while
	  gst_buffer_replace() reffed it as well so we were one reference extra.
	  https://bugzilla.gnome.org/show_bug.cgi?id=746887

2015-03-28 16:58:26 +0100  Mark Nauwelaerts <mnauw@users.sourceforge.net>

	* gst/realmedia/rmdemux.c:
	  rmdemux: resurrect some flow return handling
	  https://bugzilla.gnome.org/show_bug.cgi?id=744572

2015-03-28 16:57:06 +0100  Mark Nauwelaerts <mnauw@users.sourceforge.net>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: resurrect some flow return handling
	  https://bugzilla.gnome.org/show_bug.cgi?id=744572

2015-03-24 12:50:43 +0000  Luis de Bethencourt <luis.bg@samsung.com>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  mpeg2dec: fix memory leak
	  CID #1291630

2015-03-24 10:29:48 +0000  Luis de Bethencourt <luis.bg@samsung.com>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  mpeg2dec: initialize buffer
	  Buffer needs to be null before passing it to gst_buffer_pool_acquire_buffer()
	  CID #1291634

2015-03-13 17:00:03 +0000  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  mpeg2dec: Add stride support
	  This allow using external pools that have different strides from the
	  default. These strides need to respect certain rules, which we check
	  and if these are not met, we fallback to generic pool.
	  https://bugzilla.gnome.org/show_bug.cgi?id=735379

2015-03-10 16:45:01 +0000  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* ext/mpeg2dec/gstmpeg2dec.c:
	* ext/mpeg2dec/gstmpeg2dec.h:
	  mpeg2dec: Re-implement pool handling
	  This is a rewrite of the pool negotiation and configuration. Direct
	  to output decoding is now achieved by configuring the pool using
	  video-alignment. This removes copies when dealing with any elements that
	  supports VideoAlignment, and enable usage of generic video buffer pool,
	  XVImagePool and GLPool. It drops the crop meta implementation for now.
	  https://bugzilla.gnome.org/show_bug.cgi?id=735379

2015-03-10 09:33:15 +0000  Tim-Philipp Müller <tim@centricular.com>

	* gst/dvdsub/gstdvdsubdec.c:
	  dvbsub: fix indentation

2015-03-10 09:32:51 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ext/dvdread/dvdreadsrc.c:
	* gst/dvdsub/gstdvdsubdec.c:
	  Fix double semicolons

2015-03-09 19:11:51 +0000  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  Revert "mpeg2dec: Fix handling of stride"
	  This reverts commit f3e8dcb9de4d546e7d80ccc1754ed13dd4e7ac81.

2015-03-09 19:11:44 +0000  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  Revert "mpeg2dec: Use propose unref method for buffer"
	  This reverts commit 63b43d3bee832aec353d02575da543f3c73f6893.

2015-03-09 18:43:43 +0000  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  mpeg2dec: Use propose unref method for buffer

2015-01-21 18:29:22 +0000  Simon Farnsworth <simon.farnsworth@onelan.co.uk>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  mpeg2dec: Fix handling of stride
	  A pipeline like:
	  gst-launch-1.0 filesrc location=file.ts ! tsdemux ! mpegvideoparse ! mpeg2dec  ! vaapisink
	  would look bad when file.ts contains 704x576 video, because vaapisink would
	  give you buffers of stride 768, but libmpeg2 was not told about this and
	  used a stride of 704.
	  Tell libmpeg2 about the stride from  downstream; in the process, teach it to
	  reject buffer pools that don't meet libmpeg2's chroma stride requirements
	  Signed-off-by: Simon Farnsworth <simon.farnsworth@onelan.co.uk>

2015-02-11 13:56:48 +0100  Sebastian Dröge <sebastian@centricular.com>

	* ext/x264/gstx264enc.c:
	* gst/asfdemux/gstasfdemux.c:
	  Improve and fix LATENCY query handling
	  This now follows the design docs everywhere, especially the maximum latency
	  handling.
	  https://bugzilla.gnome.org/show_bug.cgi?id=744106

2015-02-06 19:04:32 +0100  Sebastian Dröge <sebastian@centricular.com>

	* ext/x264/gstx264enc.c:
	  x264enc: Don't set max latency to the same value as the encoder latency
	  The meaning of the max latency is *not* the maximum latency this element will
	  introduce. It is the maximum latency this element can endure without
	  overflowing any buffers, which is infinite for x264enc.
	  Fixes latency configuration in zero latency mode, where max latency was
	  becoming 0... which usually won't work well if something else introduces
	  latency as then max < min in the end, and latency configuration just fails.

2015-02-02 14:13:10 +0000  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	  x264enc: set annexb=1 in byte stream mode when downstream has ANY caps
	  This matches what is done when downstream caps are not ANY, and fixes
	  prerolling in byte stream mode when typefind is downstream.

2015-01-21 09:56:41 +0100  Sebastian Dröge <sebastian@centricular.com>

	* ext/lame/gstlamemp3enc.c:
	* ext/twolame/gsttwolamemp2enc.c:
	  Constify some static arrays everywhere

2015-01-18 16:53:41 +0000  Tim-Philipp Müller <tim@centricular.com>

	* configure.ac:
	  configure: remove non-ported plugins stuff
	  It's not needed any longer, all plugins in -ugly
	  have been ported.

2015-01-18 11:07:43 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	  x264enc: Don't set an allocation maximum
	  There is no reason x264enc should enforce a maximum allocation size.
	  The maximum is normally set by buffer pool which cannot grow, but we
	  don't offer a buffer pool. This would lead to stall when used with
	  element that don't implement allocation query.
	  Related to: https://bugzilla.gnome.org/show_bug.cgi?id=738302

2015-01-12 16:10:45 +0100  Stefan Sauer <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From f2c6b95 to bc76a8b

2014-12-22 11:46:27 +0100  Sebastian Dröge <sebastian@centricular.com>

	* MAINTAINERS:
	  MAINTAINERS: Update my mail address

2014-12-18 10:54:30 +0100  Sebastian Dröge <sebastian@centricular.com>

	* common:
	  Automatic update of common submodule
	  From ef1ffdc to f2c6b95

2014-11-27 17:11:30 +0100  Edward Hervey <bilboed@bilboed.com>

	* common:
	  Automatic update of common submodule
	  From 7bb2bce to ef1ffdc

2014-06-06 13:59:57 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/dvdlpcmdec/gstdvdlpcmdec.c:
	  dvdlpcmdec: set channel positions using the appropriate API
	  https://bugzilla.gnome.org/show_bug.cgi?id=731038

2014-11-05 23:34:56 +0000  Tim-Philipp Müller <tim@centricular.com>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: fix comment

2014-11-05 13:45:29 +0100  Edward Hervey <bilboed@bilboed.com>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: Send duration query upstream first
	  An upstream element (like mms or some dlna source) might be able to
	  answer the query. Try that first, else fallback to standard logic

2014-11-02 17:31:05 +0000  Tim-Philipp Müller <tim@centricular.com>

	* gst/asfdemux/asfpacket.c:
	  asf: fix up file mode

2014-10-27 17:58:14 +0100  Sebastian Dröge <sebastian@centricular.com>

	* common:
	  Automatic update of common submodule
	  From 84d06cd to 7bb2bce

2014-10-21 19:46:03 +0100  Tim-Philipp Müller <tim@centricular.com>

	* Makefile.am:
	  tests: parallelise 'make check-valgrind'

2014-10-21 13:02:03 +0100  Tim-Philipp Müller <tim@centricular.com>

	* common:
	  Automatic update of common submodule
	  From a8c8939 to 84d06cd

2014-10-21 12:58:58 +0200  Stefan Sauer <ensonic@users.sf.net>

	* README:
	* common:
	  Automatic update of common submodule
	  From 36388a1 to a8c8939

2014-08-22 10:46:35 +0200  Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: first try to delegate TIME seek events upstream
	  We should give a chance to upstream to handle TIME seek events before trying
	  to handle it in asfdemux.
	  Fix a bug where fast backward seeks where discarded right away because they
	  were not supported by asfdemux.
	  https://bugzilla.gnome.org/show_bug.cgi?id=734471

2014-09-04 16:57:02 +0200  Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>

	* gst/asfdemux/asfheaders.c:
	* gst/asfdemux/asfheaders.h:
	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: add ASF_OBJ_METADATA_LIBRARY_OBJECT
	  We can safely ignore those but best to claim to understand this object type so
	  we don't raise a warning.
	  https://bugzilla.gnome.org/show_bug.cgi?id=736060

2014-08-21 12:09:23 -0300  Thiago Santos <thiagoss@osg.samsung.com>

	* gst/asfdemux/gstasfdemux.c:
	* gst/asfdemux/gstasfdemux.h:
	  asfdemux: if video is h264, check the codec_data for bytestream data
	  For bytestream we don't want to expose it as codec_data but rather as
	  streamheader as it is not out-of-band data but data that should be
	  prepended to the beginning of the stream before the other buffers.
	  https://bugzilla.gnome.org/show_bug.cgi?id=735070

2014-08-10 19:13:10 +0100  Tim-Philipp Müller <tim@centricular.com>

	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* docs/plugins/inspect/plugin-xingmux.xml:
	  docs: update for git master

2014-08-06 12:07:09 -0300  Thiago Santos <thiagoss@osg.samsung.com>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: simplify log statement
	  Use the GST_PTR_FORMAT to print the buffer

2014-08-05 19:47:26 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ext/x264/gstx264enc.c:
	  x264: fix colour inversion with YV12 format
	  It's the same as I420 but with the U/V planes swapped.

2014-08-01 10:37:44 +0200  Edward Hervey <edward@collabora.com>

	* Makefile.am:
	* common:
	  Makefile: Add usage of build-checks step
	  Allows building checks without running them

2014-07-08 16:45:45 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* ext/x264/gstx264enc.c:
	  x264enc: Request buffers in allocation query
	  https://bugzilla.gnome.org/show_bug.cgi?id=732288

2014-06-06 20:23:15 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	* ext/x264/gstx264enc.h:
	  x264enc: Shift both PTS and DTS to ensure positive timestamp
	  Currently we only shift DTS to compensate that we don't support negative
	  timestamp. This cause a problem that PTS is no longer >= DTS and may
	  make muxers live much harder. Instead, shift both PTS/DTS forward. Also
	  remove all the hack to handle this which seems the result of thinking libx264
	  is bugged.
	  https://bugzilla.gnome.org/show_bug.cgi?id=731351

2014-07-19 18:04:46 +0200  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	  Back to development

=== release 1.4.0 ===

2014-07-19 17:44:06 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* docs/plugins/inspect/plugin-xingmux.xml:
	* gst-plugins-ugly.doap:
	* win32/common/config.h:
	  Release 1.4.0

2014-07-19 16:50:04 +0200  Sebastian Dröge <sebastian@centricular.com>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/ms.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	  Update .po files

2014-07-19 12:48:11 +0200  Sebastian Dröge <sebastian@centricular.com>

	* po/sv.po:
	  po: Update translations

=== release 1.3.91 ===

2014-07-11 11:44:28 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* docs/plugins/inspect/plugin-xingmux.xml:
	* gst-plugins-ugly.doap:
	* win32/common/config.h:
	  Release 1.3.91

2014-07-11 11:13:39 +0200  Sebastian Dröge <sebastian@centricular.com>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/ms.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	  Update .po files

2014-07-11 08:53:12 +0200  Sebastian Dröge <sebastian@centricular.com>

	* po/vi.po:
	  po: Update translations

2014-07-04 03:22:00 +0200  Sebastian Rasmussen <sebras@hotmail.com>

	* gst/realmedia/rademux.c:
	  rademux: Print invalid fourcc in error message in hex
	  Previously this was printed as characters which caused later processing
	  of the error message to sometimes warn about non-UTF-8 characters.
	  Fixes https://bugzilla.gnome.org/show_bug.cgi?id=732716

=== release 1.3.90 ===

2014-06-28 11:39:14 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/gst-plugins-ugly-plugins.hierarchy:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* docs/plugins/inspect/plugin-xingmux.xml:
	* gst-plugins-ugly.doap:
	* win32/common/config.h:
	  Release 1.3.90

2014-06-28 11:39:01 +0200  Sebastian Dröge <sebastian@centricular.com>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/ms.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	  Update .po files

2014-06-22 21:48:28 +0100  Tim-Philipp Müller <tim@centricular.com>

	* .gitignore:
	  Ignore autotools test-driver temp files from 'make check'

2014-06-22 19:36:14 +0200  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	  Back to development

=== release 1.3.3 ===

2014-06-22 18:13:53 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* docs/plugins/inspect/plugin-xingmux.xml:
	* gst-plugins-ugly.doap:
	* win32/common/config.h:
	  Release 1.3.3

2014-06-22 17:40:40 +0200  Sebastian Dröge <sebastian@centricular.com>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/ms.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	  Update .po files

2014-06-22 14:25:18 +0200  Sebastian Dröge <sebastian@centricular.com>

	* po/de.po:
	* po/nl.po:
	  po: Update translations

2014-05-26 17:55:43 -0300  Thiago Santos <ts.santos@sisa.samsung.com>

	* gst/realmedia/rmdemux.c:
	* gst/realmedia/rmdemux.h:
	  rmdemux: use GstFlowCombiner
	  Removes flow return combination code to use the newly added GstFlowCombiner
	  https://bugzilla.gnome.org/show_bug.cgi?id=709224

2014-05-23 18:17:11 -0300  Thiago Santos <ts.santos@sisa.samsung.com>

	* gst/asfdemux/gstasfdemux.c:
	* gst/asfdemux/gstasfdemux.h:
	  asfdemux: use GstFlowCombiner
	  Removes flow return combination code to use the newly added GstFlowCombiner
	  https://bugzilla.gnome.org/show_bug.cgi?id=709224

2014-05-28 09:49:59 +0200  Aurélien Zanelli <aurelien.zanelli@parrot.com>

	* ext/x264/gstx264enc.c:
	  x264enc: fix caps leak in set_format()
	  https://bugzilla.gnome.org/show_bug.cgi?id=730865

2013-12-01 20:53:03 +0100  Matej Knopp <matej.knopp@gmail.com>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: Handle initial 0 timestamp that should have been -1
	  https://bugzilla.gnome.org/show_bug.cgi?id=719660

2014-05-21 13:23:33 +0200  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	  Back to development

=== release 1.3.2 ===

2014-05-21 13:06:35 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* common:
	* configure.ac:
	* docs/plugins/inspect-build.stamp:
	* docs/plugins/inspect.stamp:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* docs/plugins/inspect/plugin-xingmux.xml:
	* gst-plugins-ugly.doap:
	* win32/common/config.h:
	  Release 1.3.2

2014-05-21 12:53:52 +0200  Sebastian Dröge <sebastian@centricular.com>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/ms.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	  Update .po files

2014-05-21 10:51:38 +0200  Sebastian Dröge <sebastian@centricular.com>

	* common:
	  Automatic update of common submodule
	  From 211fa5f to 1f5d3c3

2014-05-16 16:24:46 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ext/mpeg2dec/gstmpeg2dec.h:
	  mpeg2dec: remove unused struct members

2014-05-16 12:21:06 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/realmedia/rtspreal.c:
	  rtspreal: Fix some memory leaks in an error path
	  CID 1212165.

2014-05-09 14:54:54 +0200  Edward Hervey <bilboed@bilboed.com>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  mpeg2dec: Release codec state on negotiation failures
	  Else it leaks
	  CID #1212169

2014-05-03 20:48:37 +0200  Sebastian Dröge <sebastian@centricular.com>

	* configure.ac:
	  Back to development

=== release 1.3.1 ===

2014-05-03 18:29:23 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/gst-plugins-ugly-plugins.args:
	* docs/plugins/gst-plugins-ugly-plugins.hierarchy:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* docs/plugins/inspect/plugin-xingmux.xml:
	* gst-plugins-ugly.doap:
	* win32/common/config.h:
	  Release 1.3.1

2014-05-03 18:21:01 +0200  Sebastian Dröge <sebastian@centricular.com>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/ms.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	  Update .po files

2014-05-03 17:23:39 +0200  Sebastian Dröge <sebastian@centricular.com>

	* po/de.po:
	* po/id.po:
	* po/lv.po:
	* po/sk.po:
	* po/sr.po:
	  po: Update translations

2014-05-03 10:15:28 +0200  Sebastian Dröge <sebastian@centricular.com>

	* common:
	  Automatic update of common submodule
	  From bcb1518 to 211fa5f

2014-04-27 00:29:16 +0100  Tim-Philipp Müller <tim@centricular.com>

	* ext/sidplay/gstsiddec.cc:
	* gst/asfdemux/gstrtspwms.c:
	* gst/realmedia/rademux.c:
	* gst/realmedia/rdtmanager.c:
	* gst/realmedia/rtspreal.c:
	  docs: remove outdated and pointless 'Last reviewed' lines from docs
	  They are very confusing for people, and more often than not
	  also just not very accurate. Seeing 'last reviewed: 2005' in
	  your docs is not very confidence-inspiring. Let's just remove
	  those comments.

2014-04-10 17:29:30 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/dvdsub/gstdvdsubdec.c:
	  dvdsubdec: fix spurious rejection of 0 time offset commands
	  Coverity 206168

2014-04-10 16:53:25 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* ext/dvdread/dvdreadsrc.c:
	  dvdread: avoid intermediate promotion to signed
	  We should not reach the dangerous range here, though.
	  Coverity 206491, 206492, 1139856

2014-01-17 10:46:50 +0000  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  mpeg2dec: do not reset the whole video info when setting size
	  New changes to gstvideo will reset all the video info state
	  when calling _set_format, overwriting what was previously set
	  in the preceding code.
	  The comment says the following code is meant to preserve the
	  pre-crop size, so let's just keep the size and related data
	  as this does not seem to break anything else (this is what
	  the _set_format call would have set before the change that
	  reset all data, except the colorimetry).

2014-04-03 15:06:22 +0200  Edward Hervey <bilboed@bilboed.com>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: Fix payloads check
	  Don't iterate stream->payloads if ... it doesn't exist
	  CID #1139846

2014-03-02 05:11:10 +0100  Sebastian Rasmussen <sebras@hotmail.com>

	* .gitignore:
	  .gitignore: Ignore gcov intermediate files
	  https://bugzilla.gnome.org/show_bug.cgi?id=725483

2014-02-28 09:35:10 +0100  Sebastian Dröge <sebastian@centricular.com>

	* common:
	  Automatic update of common submodule
	  From fe1672e to bcb1518

2014-02-26 22:12:50 +0100  Stefan Sauer <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From 1a07da9 to fe1672e

2014-02-26 11:31:03 +0100  Stefan Sauer <ensonic@users.sf.net>

	* docs/Makefile.am:
	  docs: install prebuilt plugin docs if gtk-doc is disabled
	  Sync to the Makefile.am from gst-plugin-base where it is done right.
	  Fixes #725034

2014-02-13 09:39:04 +0100  Stefan Sauer <ensonic@users.sf.net>

	* gst/xingmux/gstxingmux.c:
	* gst/xingmux/plugin.c:
	  xingmux: add muxer category and make element plugable
	  This is required to make encodebin consider the element. Yet it is not enough to
	  have it plugged it has a lower priority than most mp3encoders and no different
	  caps.

2014-02-24 11:42:00 +0100  Dirk Van Haerenborgh <vhdirk@gmail.com>

	* ext/x264/gstx264enc.c:
	  x264enc: allow lossless compression (qp=0)
	  https://bugzilla.gnome.org/show_bug.cgi?id=725051

2014-02-20 21:08:08 +0100  Edward Hervey <edward@collabora.com>

	* m4/a52.m4:
	  m4: Remove extra check for 11+ year old a52 release
	  You deserve a build failure if you still have that version
	  If someone wants to completely remove this m4 to replace it with the
	  generic AS_GST_CHECK_LIBHEADER() it would be appreciated.

2014-02-19 21:11:55 +0100  Rico Tzschichholz <ricotz@ubuntu.com>

	* m4/a52.m4:
	  m4: Fix multiple tests in AC_CHECK_A52DEC

2014-02-09 23:41:36 +0100  Sebastian Dröge <sebastian@centricular.com>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: Remove unused function

2014-02-06 19:22:47 +0100  Edward Hervey <edward@collabora.com>

	* tests/check/Makefile.am:
	  check: Fix test location

2014-02-03 02:06:11 +0100  Sebastian Rasmussen <sebras@hotmail.com>

	* tests/check/Makefile.am:
	  tests: Don't build disabled plugins' check tests
	  Fixes https://bugzilla.gnome.org/show_bug.cgi?id=723505

2014-01-30 10:44:29 +0100  Edward Hervey <bilboed@bilboed.com>

	* common:
	  Automatic update of common submodule
	  From d48bed3 to 1a07da9

2014-01-03 16:20:11 +0000  Tim-Philipp Müller <tim@centricular.com>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: only add "format" field with fourcc to WMV caps
	  Doesn't make sense for e.g. H264 or MJPEG.

2013-12-22 22:34:03 +0000  Tim-Philipp Müller <tim@centricular.com>

	* autogen.sh:
	* common:
	  Automatic update of common submodule
	  From dbedaa0 to d48bed3

2013-12-22 21:56:03 +0000  Tim-Philipp Müller <tim@centricular.com>

	* po/Makevars:
	  po: set gettext domain in Makevars so we don't have to patch the generated Makefile.in.in
	  https://bugzilla.gnome.org/show_bug.cgi?id=705455

2013-12-05 12:16:45 +0100  Sebastian Dröge <sebastian@centricular.com>

	* ext/amrwbdec/amrwbdec.c:
	  amrwbdec: Remove some dead code

2013-12-05 12:16:38 +0100  Sebastian Dröge <sebastian@centricular.com>

	* ext/amrnb/amrnbdec.c:
	  amrnbdec: Remove some dead code

2013-12-05 12:09:04 +0100  Sebastian Dröge <sebastian@centricular.com>

	* ext/amrnb/amrnbdec.c:
	  amrnbdec: Use gst_audio_decoder_set_needs_format() instead of custom code

2013-12-05 12:08:46 +0100  Sebastian Dröge <sebastian@centricular.com>

	* ext/amrwbdec/amrwbdec.c:
	  amrwbdec: Use gst_audio_decoder_set_needs_format() instead of custom code

2013-12-05 11:44:10 +0100  Sebastian Dröge <sebastian@centricular.com>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  mpeg2dec: Use new gst_video_decoder_set_needs_format() API

2013-11-29 15:51:49 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ext/x264/gstx264enc.c:
	  x264enc: fix compiler warning
	  Compiler warns rightly about possibly uninitialized variable.

2013-11-29 15:49:29 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ext/x264/gstx264enc.c:
	  x264enc: fix crash on NULL caps when negotiation happens without a downstream peer
	  gst-launch-1.0 videotestsrc ! x264enc

2013-11-11 13:15:54 +0100  Mark Nauwelaerts <mnauw@users.sourceforge.net>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  mpeg2dec: graceful degradation for badly parsed input

2013-11-05 11:20:20 +0000  Tim-Philipp Müller <tim@centricular.com>

	* common:
	  Automatic update of common submodule
	  From 865aa20 to dbedaa0

2013-10-22 16:02:04 +0900  HyeJin Choi <meeshel@meeshel78@hotmail.com>

	* gst/asfdemux/asfpacket.c:
	  asfdemux: mo_size check bug fix. mo_size is not mandatory field.
	  So, don't need to check previous payload's mo_size and current
	  payload's mo_size when merging it.
	  https://bugzilla.gnome.org/show_bug.cgi?id=710609

2013-10-22 15:03:15 -0300  Thiago Santos <ts.santos@partner.samsung.com>

	* gst/asfdemux/gstasfdemux.c:
	* gst/asfdemux/gstasfdemux.h:
	  asfdemux: Keep audio error checking fields only for audio
	  Video shouldn't need to be descrambled, this can cause frames data
	  to be corrupted
	  https://bugzilla.gnome.org/show_bug.cgi?id=684942

2013-10-22 00:56:29 -0300  Thiago Santos <ts.santos@partner.samsung.com>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: really copy the buffer data
	  Pass the copy-memory flag to copy the memory for the output buffer,
	  otherwise we end with 0-sized buffers
	  https://bugzilla.gnome.org/show_bug.cgi?id=684942

2013-09-27 08:05:25 -0700  Michael Esemplare <michael.esemplare@gmail.com>

	* ext/x264/gstx264enc.c:
	  x264enc: If FPS is available, set VFR to false
	  https://bugzilla.gnome.org/show_bug.cgi?id=708940

2013-09-24 10:08:10 -0700  Thiago Santos <ts.santos@partner.samsung.com>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: Only use segment.start as seek_time if it is relative
	  Relying on the gst_segment_do_seek results for getting the
	  seeking time should not be used if seek type is SET because the
	  do_seek function makes the 'cur` position of the seek normalized
	  on the segment range. This means that seeking beyond the end of the
	  file might not result in instant EOS as it will end up seeking to
	  the final ts of the file.
	  In asf seeking to the final timestamp can lead to seeking to the last
	  keyframe, meaning a few seconds of video will still be played, which should
	  not be the desired behavior when seeking beyong file limits.

2013-09-24 10:07:25 -0700  Thiago Santos <ts.santos@partner.samsung.com>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: Parse last simple index entry
	  The entry size is fixed at 6, fix typo to finish parsing the index
	  correctly until the last sample

2013-09-24 18:32:31 +0100  Tim-Philipp Müller <tim@centricular.net>

	* README:
	* common:
	  Automatic update of common submodule
	  From 6b03ba7 to 865aa20

2013-09-24 15:05:36 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* configure.ac:
	  configure: Actually use 1.3.0.1 as version to make configure happy

2013-09-24 15:00:30 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* configure.ac:
	  Back to development

=== release 1.2.0 ===

2013-09-24 14:27:45 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* docs/plugins/inspect/plugin-xingmux.xml:
	* gst-plugins-ugly.doap:
	* win32/common/config.h:
	  Release 1.2.0

2013-09-24 14:27:39 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/ms.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	  Update .po files

2013-09-18 11:34:56 +0200  Andoni Morales Alastruey <ylatuya@gmail.com>

	* ext/x264/gstx264enc.c:
	  x264enc: Update the documentation to match the default profile used
	  https://bugzilla.gnome.org/show_bug.cgi?id=708036

2013-09-20 16:17:31 +0200  Edward Hervey <edward@collabora.com>

	* common:
	  Automatic update of common submodule
	  From b613661 to 6b03ba7

2013-09-19 18:43:43 +0100  Tim-Philipp Müller <tim@centricular.net>

	* common:
	  Automatic update of common submodule
	  From 74a6857 to b613661

2013-09-19 17:36:25 +0100  Tim-Philipp Müller <tim@centricular.net>

	* autogen.sh:
	* common:
	  Automatic update of common submodule
	  From 098c0d7 to 74a6857

2013-09-19 11:35:04 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* configure.ac:
	  Back to development

=== release 1.1.90 ===

2013-09-19 10:50:32 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* docs/plugins/inspect/plugin-xingmux.xml:
	* gst-plugins-ugly.doap:
	* win32/common/config.h:
	  Release 1.1.90

2013-09-19 10:30:37 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/ms.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	  Update .po files

2013-09-19 09:45:55 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* po/cs.po:
	  po: Update translations

2013-09-18 19:13:45 -0400  Olivier Crête <olivier.crete@collabora.com>

	* ext/x264/gstx264enc.c:
	* tests/check/elements/x264enc.c:
	  x264enc: Implement getcaps that restricts the input format depending on the output profile
	  Also add some x264enc profile tests
	  https://bugzilla.gnome.org/show_bug.cgi?id=708326

2013-09-16 19:38:36 +0200  Matej Knopp <matej.knopp@gmail.com>

	* gst/asfdemux/asfpacket.c:
	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: fix playback regression in push mode

2013-09-10 19:33:33 -0300  Thiago Santos <thiago.sousa.santos@collabora.com>

	* gst/asfdemux/gstasfdemux.h:
	  asfdemux: remove unused variable

2013-09-05 22:56:48 +0200  Mathieu Duponchelle <mathieu.duponchelle@epitech.eu>

	* ext/x264/gstx264enc.c:
	  x264enc: Don't unref future state but the old one
	  Being silly will lead us nowhere.

2013-09-04 16:32:43 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* ext/x264/gstx264enc.c:
	  x264enc: Check if we have an input state before using it
	  Flushing might happen before caps were set on the encoder,
	  which would lead to crashes here.
	  Thanks to Matej Knopp for analyzing this.
	  https://bugzilla.gnome.org/show_bug.cgi?id=707414

2013-09-03 20:28:35 +0200  Matej Knopp <matej.knopp@gmail.com>

	* ext/x264/gstx264enc.c:
	  x264enc: fix unsigned comparison warning

2013-08-28 13:27:05 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* configure.ac:
	  Back to development

=== release 1.1.4 ===

2013-08-28 12:58:43 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* docs/plugins/inspect/plugin-xingmux.xml:
	* gst-plugins-ugly.doap:
	* win32/common/config.h:
	  Release 1.1.4

2013-08-28 12:58:37 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/ms.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	  Update .po files

2013-08-28 12:32:37 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* po/pt_BR.po:
	  po: update translations

2013-08-27 14:13:06 +0100  Tim-Philipp Müller <tim@centricular.net>

	* ext/x264/gstx264enc.c:
	  x264enc: log when we output a lower profile than requested

2013-08-21 18:32:17 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* ext/x264/gstx264enc.c:
	  x264enc: Consider subset relations of profiles when setting srcpad caps
	  constrained-baseline is a subset of baseline, is a subset of main,
	  is a subset of high profile.
	  https://bugzilla.gnome.org/show_bug.cgi?id=705425

2013-08-21 12:31:23 +0100  Tim-Philipp Müller <tim@centricular.net>

	* ext/x264/gstx264enc.c:
	  x264enc: propagate flow return back to base class and upstream
	  https://bugzilla.gnome.org/show_bug.cgi?id=705425

2013-08-17 23:13:17 +0100  Tim-Philipp Müller <tim@centricular.net>

	* configure.ac:
	  configure: fix x264 version checking
	  x264 releases carry pkg-config versions such as 0.120.x
	  (literallly with an 'x'). Checking for x264 >= 0.120.0 will
	  then fail, so we need to either check for > 0.119.0 or
	  for >= 0.120 to make this work right.

2013-08-17 23:09:15 +0100  Tim-Philipp Müller <tim@centricular.net>

	* ext/x264/gstx264enc.c:
	  x264enc: minor clean-up
	  We requires x264 build >= 120 now.

2013-08-15 15:30:31 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  mpeg2dec: Fix mpeg2_reset() calls

2013-08-15 15:27:48 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* ext/mpeg2dec/gstmpeg2dec.c:
	* ext/x264/gstx264enc.c:
	  ext: Use new flush vfunc of video codec base classes and remove reset implementations

2013-08-01 01:34:05 +0200  Matej Knopp <matej.knopp@gmail.com>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: fix build on C89 compilers

2013-07-30 17:28:17 +0200  Matej Knopp <matej.knopp@gmail.com>

	* gst/asfdemux/asfpacket.c:
	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: fix seeking in push mode

2013-08-02 14:14:48 +0200  Lubosz Sarnecki <lubosz@gmail.com>

	* configure.ac:
	  build: add subdir-objects to AM_INIT_AUTOMAKE
	  Fixes warnings in automake 1.14
	  https://bugzilla.gnome.org/show_bug.cgi?id=705350

2013-08-02 08:25:49 +0200  Edward Hervey <edward@collabora.com>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  mpeg2dec: Do a hard reset of flush_stop
	  Which is notified by hard == 0 with latest refactoring.

2013-07-29 21:09:37 +0100  Tim-Philipp Müller <tim@centricular.net>

	* po/LINGUAS:
	* po/da.po:
	* po/de.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/ja.po:
	* po/nb.po:
	* po/nl.po:
	* po/pl.po:
	* po/ru.po:
	* po/sl.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	  po: update translations

2013-07-29 14:48:21 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* configure.ac:
	  Back to development

=== release 1.1.3 ===

2013-07-29 13:46:08 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* docs/plugins/inspect/plugin-xingmux.xml:
	* gst-plugins-ugly.doap:
	* win32/common/config.h:
	  Release 1.1.3

2013-07-29 13:46:05 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/gl.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/ms.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	  Update .po files

2013-07-29 12:13:17 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* gst/asfdemux/gstasfdemux.c:
	* gst/realmedia/rademux.c:
	* gst/realmedia/rmdemux.c:
	  gst: Don't swap start/stop for negative rates in the SEGMENT query

2013-07-29 10:57:38 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* gst/realmedia/rademux.c:
	* gst/realmedia/rmdemux.c:
	  real: Implement SEGMENT query

2013-07-29 10:56:06 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: Implement SEGMENT query

2013-07-28 16:43:28 +0200  Matej Knopp <matej.knopp@gmail.com>

	* gst/asfdemux/asfheaders.c:
	* gst/asfdemux/asfheaders.h:
	* gst/asfdemux/asfpacket.c:
	* gst/asfdemux/gstasfdemux.c:
	* gst/asfdemux/gstasfdemux.h:
	  asfdemux: Add support for dvr-ms
	  https://bugzilla.gnome.org/show_bug.cgi?id=705026

2013-07-26 16:47:48 +0200  Edward Hervey <edward@collabora.com>

	* gst/realmedia/rtspreal.c:
	  rtspreal: Ensure output value has an assigned value
	  In the case where this macro was used, that dest was != NULL but that
	  the strncmp failed, we would end up with dest_len being undefined.

2013-07-26 16:39:12 +0200  Edward Hervey <edward@collabora.com>

	* ext/x264/gstx264enc.c:
	  x264: Fix dts comparision
	  We were assigning to a guint64 value (frame->dts) the sum of a unsigned
	  and signed value... resulting it the result never being < 0.
	  Instead just check if it is smaller before assigning to frame->dts.

2013-07-25 11:28:54 -0300  Thiago Santos <thiago.sousa.santos@collabora.com>

	* gst/asfdemux/gstasfdemux.c:
	* gst/asfdemux/gstasfdemux.h:
	  asfdemux: fix seqnum handling for seeks
	  Use the same seqnum as the seek for flushes/segments that are
	  caused by the seek. Also do the same for segment events
	  Fixes #676242

2013-07-25 13:35:44 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  mpeg2dec: Clean up reset/start/stop handling

2013-07-25 11:01:20 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* ext/x264/gstx264enc.c:
	  x264enc: React properly to flushing/resetting the encoder
	  https://bugzilla.gnome.org/show_bug.cgi?id=656007

2013-07-22 16:01:13 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* gst/realmedia/rademux.c:
	* gst/realmedia/rademux.h:
	* gst/realmedia/rmdemux.c:
	* gst/realmedia/rmdemux.h:
	  realmedia: Add support for group-id in the stream-start event

2013-07-22 15:45:57 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* gst/asfdemux/gstasfdemux.c:
	* gst/asfdemux/gstasfdemux.h:
	  asfdemux: Add support for group-id in the stream-start event

2013-07-22 15:43:18 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* ext/sidplay/gstsiddec.cc:
	* ext/sidplay/gstsiddec.h:
	  siddec: Add support for group-id in the stream-start event

2013-07-18 17:14:29 +0200  Edward Hervey <edward@collabora.com>

	* gst/realmedia/rmdemux.c:
	  rmdemux: Mark demuxer as "running" in push-mode
	  Allows queries (and other code) to be answered when working in push-mode.
	  Running would only be set to TRUE accordingly when working in pull-mode
	  once it had read header/index.
	  Fixes #680185

2013-07-17 16:17:54 +0200  Edward Hervey <edward@collabora.com>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  mpeg2dec: Properly reset on sequence changes
	  Otherwise we end up using stray data/buffers.
	  Fixes #690701

2013-07-11 16:57:24 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* configure.ac:
	  Back to development

=== release 1.1.2 ===

2013-07-11 16:12:25 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* docs/plugins/inspect/plugin-xingmux.xml:
	* gst-plugins-ugly.doap:
	* win32/common/config.h:
	  Release 1.1.2

2013-07-11 16:12:21 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/gl.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/ms.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	  Update .po files

2013-06-18 20:06:24 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* ext/dvdread/dvdreadsrc.c:
	  dvdreadsrc: correctly determine last chapter's duration
	  This (mostly) reverts 683f5eeae7b830e4e4b790f3817ff6b8ce517b1c.
	  It worked just fine before ...

2013-06-25 14:20:37 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* gst/realmedia/rdtmanager.c:
	  rdt: forward sticky events

2013-06-05 18:36:40 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* configure.ac:
	  Back to development

=== release 1.1.1 ===

2013-06-05 17:58:51 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* common:
	* configure.ac:
	* docs/plugins/gst-plugins-ugly-plugins.hierarchy:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* docs/plugins/inspect/plugin-xingmux.xml:
	* gst-plugins-ugly.doap:
	* win32/common/config.h:
	  Release 1.1.1

2013-06-05 16:42:01 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/gl.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/ms.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	  Update .po files

2013-06-05 15:15:16 +0200  Sebastian Dröge <slomo@circular-chaos.org>

	* common:
	  Automatic update of common submodule
	  From 098c0d7 to 01a7a46

2013-06-04 16:12:27 +0300  Sreerenj Balachandran <sreerenj.balachandran@intel.com>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  mpeg2dec: make the aspect ratio calculation more accurate.
	  Utilize the libmpeg2 api: mpeg2_guess_aspect() to guess the
	  aspect-ratio if we don't have a valid upstream PAR.
	  https://bugzilla.gnome.org/show_bug.cgi?id=685103

2013-05-15 10:52:09 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 5edcd85 to 098c0d7

2013-05-13 13:19:27 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* tests/check/elements/amrnbenc.c:
	* tests/check/elements/mpeg2dec.c:
	* tests/check/elements/x264enc.c:
	* tests/check/elements/xingmux.c:
	  tests: Fix event handling

2013-05-09 19:40:49 -0400  Olivier Crête <olivier.crete@collabora.com>

	* ext/lame/gstlamemp3enc.c:
	  lamemp3enc: Tell GstAudioEncoder about the number of incoming samples
	  lame does internal resampling, but the base class only cares about
	  the number of raw samples, so tell finish frames about that, not
	  the number of samples in the outgoing frame.:

2013-04-30 10:01:29 +0100  Tim-Philipp Müller <tim@centricular.net>

	* ext/x264/gstx264enc.c:
	  x264enc: output byte-stream if downstream has ANY caps
	  It's what people expect when they pipe the output to
	  filesink or into a tcp connection or pipe.

2013-04-22 23:52:48 +0100  Tim-Philipp Müller <tim@centricular.net>

	* MAINTAINERS:
	* README:
	* README.static-linking:
	* common:
	  Automatic update of common submodule
	  From 3cb3d3c to 5edcd85

2012-10-24 12:15:54 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* configure.ac:
	* ext/a52dec/Makefile.am:
	* ext/amrnb/Makefile.am:
	* ext/amrwbdec/Makefile.am:
	* ext/cdio/Makefile.am:
	* ext/dvdread/Makefile.am:
	* ext/lame/Makefile.am:
	* ext/mad/Makefile.am:
	* ext/mpeg2dec/Makefile.am:
	* ext/sidplay/Makefile.am:
	* ext/twolame/Makefile.am:
	* ext/x264/Makefile.am:
	* gst/asfdemux/Makefile.am:
	* gst/dvdlpcmdec/Makefile.am:
	* gst/dvdsub/Makefile.am:
	* gst/realmedia/Makefile.am:
	* gst/xingmux/Makefile.am:
	  gst: Add better support for static plugins

2013-04-14 17:55:44 +0100  Tim-Philipp Müller <tim@centricular.net>

	* autogen.sh:
	* common:
	  Automatic update of common submodule
	  From aed87ae to 3cb3d3c

2013-04-09 21:00:43 +0200  Stefan Sauer <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From 04c7a1e to aed87ae

2013-03-25 18:05:14 -0700  David Schleef <ds@schleef.org>

	* gst/asfdemux/gstasfdemux.c:
	* gst/realmedia/rmdemux.c:
	  Use %03u instead of %u in gst_pad_create_stream_id_printf()

2013-03-06 13:28:37 +0000  Tom Greenwood <tgreenwood@Toms-MacBook-Pro.local>

	* ext/x264/gstx264enc.c:
	  x264enc: Fix for 0/1 framerate - now uses VFR in this case
	  Previously did a division by zero.
	  https://bugzilla.gnome.org/show_bug.cgi?id=695728

2013-03-07 00:02:00 +0000  Tim-Philipp Müller <tim@centricular.net>

	* common:
	  Automatic update of common submodule
	  From 2de221c to 04c7a1e

2013-02-08 00:15:01 +0000  Tim-Philipp Müller <tim@centricular.net>

	* ext/x264/gstx264enc.c:
	  x264enc: simplify template caps
	  No need to make an array for one single element.

2013-02-08 00:11:03 +0000  Tim-Philipp Müller <tim@centricular.net>

	* ext/x264/gstx264enc.c:
	  x264enc: put all theoretically possible formats in template caps
	  and decide at runtime which subset of these (8-bit or 10-bit video
	  formats) is supported. libx264 will be compiled for one of these
	  two options, and it is possible to switch by pointing the dynamic
	  linker to a different libx264 build at runtime. If we want our
	  template caps to be correct, they should contain all then, with
	  the actually supported ones determined at runtime.
	  https://bugzilla.gnome.org/show_bug.cgi?id=691935

2013-01-23 10:16:51 +0000  Tim-Philipp Müller <tim@centricular.net>

	* ext/x264/gstx264enc.c:
	  x264enc: detect supported bit depth and pixel formats at runtime
	  http://bugs.debian.org/667573
	  https://bugzilla.gnome.org/show_bug.cgi?id=691935

2013-01-30 09:15:18 +0100  Benjamin Gaignard <benjamin.gaignard@st.com>

	* autogen.sh:
	  autogen.sh: allow calling from out-of-tree
	  Signed-off-by: Benjamin Gaignard <benjamin.gaignard@linaro.org>
	  https://bugzilla.gnome.org/show_bug.cgi?id=692857

2013-01-28 20:43:08 +0100  Stefan Sauer <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From a942293 to 2de221c

2013-01-15 15:18:04 +0100  Martin Pitt <martinpitt@gnome.org>

	* tests/check/Makefile.am:
	  tests: use _1_0 variants for the various registry variables
	  These override the variants without version suffix. Makes 'make check' work
	  properly in environments that set the suffixed variant for 1.0, such as
	  jhbuild.

2013-01-15 15:06:41 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From a72faea to a942293

2012-12-30 23:56:14 +0000  Tim-Philipp Müller <tim@centricular.net>

	* configure.ac:
	  configure: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
	  AM_CONFIG_HEADER has been removed in the just-released automake 1.13:
	  https://lists.gnu.org/archive/html/automake/2012-12/msg00038.html
	  https://bugzilla.gnome.org/show_bug.cgi?id=690881

2012-12-19 17:16:53 +0100  Thijs Vermeir <thijsvermeir@gmail.com>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  mpeg2dec: use appropriate printf format for gsize

2012-12-19 17:15:03 +0100  Thijs Vermeir <thijsvermeir@gmail.com>

	* ext/cdio/gstcdio.h:
	  cdio: Fix redundant redeclaration of 'cdio_version_string'
	  cdio/version.h is already included by cdio/cdio.h

2012-12-01 13:26:26 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/sidplay/gstsiddec.cc:
	  siddec: init debug category

2012-11-30 20:09:03 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	* ext/dvdread/Makefile.am:
	  dvdread: link to libgmodule-2.0 since the g_module_* API is used
	  And the gmodule lib has been moved into the Requires.private
	  section of the pkg-config file in core.

2012-11-27 17:07:31 +0000  Tim-Philipp Müller <tim@centricular.net>

	* ext/cdio/gstcdiocddasrc.c:
	* ext/cdio/gstcdiocddasrc.h:
	  cdiocddasrc: detect whether drive produces samples in non-host endianness
	  If drive produces samples in other endianness than the host,
	  we need to byte swap them before pushing them out, or we
	  produce nothing but noise. cdparanoia detects this automatically,
	  but libcdio does not, so we have to do it ourselves.
	  This is needed on e.g. the PowerBook G4 with Matshita UJ-816 drive.
	  https://bugzilla.gnome.org/show_bug.cgi?id=377280

2012-11-19 11:27:21 +0000  Tim-Philipp Müller <tim@centricular.net>

	* common:
	  Automatic update of common submodule
	  From b497c4f to a72faea

2012-11-16 13:32:00 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* tests/check/elements/xingmux_testdata.h:
	  xingmux: Fix unit test after change to correctly calculate number of frames

2012-11-15 16:42:09 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	  x264enc: Add support for 10-bit color formats
	  Requires x264 to be built with 10-bit support, which disables
	  9-bit support. Also only advertise the color formats that were
	  compiled into x264.

2012-11-15 16:21:49 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	  x264enc: Add support for Y444, Y42B and NV12

2012-11-11 20:42:42 +0000  Tim-Philipp Müller <tim@centricular.net>

	* ext/cdio/Makefile.am:
	* ext/cdio/gstcdio.c:
	  cdio: use gst_tag_freeform_string_to_utf8() for CD-TEXT strings
	  They're probably not going to be UTF-8, but ISO-8859-1 or somesuch
	  if they're not plain ASCII.

2012-11-09 11:33:40 +0100  Gautier Portet <kassoulet@gmail.com>

	* gst/xingmux/gstxingmux.c:
	  xingmux: Properly calculate the number of frames
	  First, the xing header frame is never added to the count,
	  we have to increment the count.
	  Secondly, there is a rounding error when calculating the
	  frame duration, as spf*GST_SECOND/rate is not an integer
	  (26122448.9) an it must be 26122449.

2012-11-07 20:45:38 +0000  Tim-Philipp Müller <tim@centricular.net>

	* configure.ac:
	  configure.ac: update courtesy of autoupdate

2012-11-07 20:39:56 +0000  Tim-Philipp Müller <tim@centricular.net>

	* common:
	* configure.ac:
	  configure: let AG_GST_PLUGIN_DOCS check for python
	  And update common for move from AS_PATH_PYTHON to AM_PATH_PYTHON,
	  which as a side-effect should pick up newer python versions as
	  well.
	  https://bugzilla.gnome.org/show_bug.cgi?id=563903

2012-11-05 13:16:52 -0800  Michael Smith <msmith@rdio.com>

	* gst/dvdlpcmdec/gstdvdlpcmdec.c:
	  dvdlpcmdec: Fix parsing of headers to set correct width to allow decode.

2012-11-03 20:38:00 +0000  Tim-Philipp Müller <tim@centricular.net>

	* tests/check/elements/mpg123audiodec.c:
	  Fix FSF address
	  https://bugzilla.gnome.org/show_bug.cgi?id=687520

2012-11-03 20:40:37 +0000  Tim-Philipp Müller <tim@centricular.net>

	* docs/random/LICENSE:
	* ext/a52dec/gsta52dec.c:
	* ext/a52dec/gsta52dec.h:
	* ext/amrnb/amrnb.c:
	* ext/amrnb/amrnbdec.c:
	* ext/amrnb/amrnbdec.h:
	* ext/amrnb/amrnbenc.c:
	* ext/amrnb/amrnbenc.h:
	* ext/amrwbdec/amrwb.c:
	* ext/amrwbdec/amrwbdec.c:
	* ext/amrwbdec/amrwbdec.h:
	* ext/cdio/gstcdio.c:
	* ext/cdio/gstcdio.h:
	* ext/cdio/gstcdiocddasrc.c:
	* ext/cdio/gstcdiocddasrc.h:
	* ext/dvdread/dvdreadsrc.c:
	* ext/dvdread/dvdreadsrc.h:
	* ext/lame/gstlamemp3enc.c:
	* ext/lame/gstlamemp3enc.h:
	* ext/lame/plugin.c:
	* ext/mad/gstmad.c:
	* ext/mad/gstmad.h:
	* ext/mpeg2dec/gstmpeg2dec.c:
	* ext/mpeg2dec/gstmpeg2dec.h:
	* ext/sidplay/gstsiddec.cc:
	* ext/sidplay/gstsiddec.h:
	* ext/twolame/gsttwolamemp2enc.c:
	* ext/twolame/gsttwolamemp2enc.h:
	* ext/x264/gstx264enc.c:
	* ext/x264/gstx264enc.h:
	* gst-libs/gst/gettext.h:
	* gst-libs/gst/glib-compat-private.h:
	* gst-libs/gst/gst-i18n-plugin.h:
	* gst/asfdemux/asfheaders.c:
	* gst/asfdemux/asfheaders.h:
	* gst/asfdemux/asfpacket.c:
	* gst/asfdemux/asfpacket.h:
	* gst/asfdemux/gstasf.c:
	* gst/asfdemux/gstasfdemux.c:
	* gst/asfdemux/gstasfdemux.h:
	* gst/asfdemux/gstrtpasfdepay.c:
	* gst/asfdemux/gstrtpasfdepay.h:
	* gst/asfdemux/gstrtspwms.c:
	* gst/asfdemux/gstrtspwms.h:
	* gst/dvdlpcmdec/gstdvdlpcmdec.c:
	* gst/dvdlpcmdec/gstdvdlpcmdec.h:
	* gst/dvdsub/gstdvdsubdec.c:
	* gst/dvdsub/gstdvdsubdec.h:
	* gst/dvdsub/gstdvdsubparse.c:
	* gst/dvdsub/gstdvdsubparse.h:
	* gst/realmedia/asmrules.c:
	* gst/realmedia/asmrules.h:
	* gst/realmedia/gstrdtbuffer.c:
	* gst/realmedia/gstrdtbuffer.h:
	* gst/realmedia/pnmsrc.c:
	* gst/realmedia/pnmsrc.h:
	* gst/realmedia/rademux.c:
	* gst/realmedia/rademux.h:
	* gst/realmedia/rdtdepay.c:
	* gst/realmedia/rdtdepay.h:
	* gst/realmedia/rdtjitterbuffer.c:
	* gst/realmedia/rdtjitterbuffer.h:
	* gst/realmedia/rdtmanager.c:
	* gst/realmedia/rdtmanager.h:
	* gst/realmedia/realhash.c:
	* gst/realmedia/realhash.h:
	* gst/realmedia/realmedia.c:
	* gst/realmedia/rmdemux.c:
	* gst/realmedia/rmdemux.h:
	* gst/realmedia/rmutils.c:
	* gst/realmedia/rmutils.h:
	* gst/realmedia/rtspreal.c:
	* gst/realmedia/rtspreal.h:
	* gst/xingmux/gstxingmux.c:
	* gst/xingmux/gstxingmux.h:
	* gst/xingmux/plugin.c:
	* tests/check/elements/amrnbenc.c:
	* tests/check/elements/mpeg2dec.c:
	* tests/check/elements/x264enc.c:
	* tests/check/generic/index.c:
	* tests/check/generic/states.c:
	* tests/check/pipelines/lame.c:
	  Fix FSF address
	  https://bugzilla.gnome.org/show_bug.cgi?id=687520

2012-10-30 13:39:52 +0100  Andreas Frisch <fraxinas@opendreambox.org>

	* gst/dvdsub/gstdvdsubdec.c:
	  dvdsubdec: allocate correct amount of memory for bitmap
	  https://bugzilla.gnome.org/show_bug.cgi?id=687192

2012-10-30 09:27:24 +0100  Carlos Rafael Giani <dv@pseudoterminal.org>

	* ext/mpg123/gstmpg123audiodec.c:
	  mpg123: removed unnecessary finalize function
	  https://bugzilla.gnome.org/show_bug.cgi?id=687176

2012-10-30 09:20:04 +0000  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/sidplay/gstsiddec.cc:
	  siddec: reset bytes counter
	  Reset the total_bytes counter so that we get timestamps correct.
	  Fixes https://bugzilla.gnome.org/show_bug.cgi?id=686931

2012-10-30 10:20:09 +1100  Jan Schmidt <thaytan@noraisin.net>

	* ext/mpg123/gstmpg123audiodec.c:
	  mpg123: Fix leaks from not chaining up in the finalize function

2012-10-25 12:38:47 +0100  Tim-Philipp Müller <tim@centricular.net>

	* configure.ac:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* docs/plugins/inspect/plugin-xingmux.xml:
	* win32/common/config.h:
	  Back to feature development

=== release 1.0.2 ===

2012-10-25 01:11:10 +0100  Tim-Philipp Müller <tim@centricular.net>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* docs/plugins/inspect/plugin-xingmux.xml:
	* gst-plugins-ugly.doap:
	* win32/common/config.h:
	  Release 1.0.2

2012-10-24 13:41:00 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* tests/check/elements/mpg123audiodec.c:
	  tests: fix up mpg123 test a little
	  - dist input files
	  - fix sample leak
	  - simplify check for elements
	  - only run mpg123 test if mpg123 is available and selected
	  - fix build in uninstalled setup
	  https://bugzilla.gnome.org/show_bug.cgi?id=686595

2012-10-24 12:30:10 +0200  Carlos Rafael Giani <dv@pseudoterminal.org>

	* tests/check/elements/mpg123audiodec.c:
	  tets: add unit test for mpg123audiodec
	  https://bugzilla.gnome.org/show_bug.cgi?id=686595

2012-10-24 00:36:42 +0200  Carlos Rafael Giani <dv@pseudoterminal.org>

	* ext/mpg123/gstmpg123audiodec.c:
	  mpg123: added gtkdoc section
	  https://bugzilla.gnome.org/show_bug.cgi?id=686595

2012-10-24 00:22:05 +0200  Carlos Rafael Giani <dv@pseudoterminal.org>

	* ext/mpg123/gstmpg123audiodec.c:
	  mpg123: fixed bug with last frame, disabled internal resampler & chatter
	  * The last MP3 frame wasn't being pushed when base class was draining
	  * Made sure mpg123 cannot ever use its (crude) internal resampler
	  * Disabled mpg123 stderr output
	  https://bugzilla.gnome.org/show_bug.cgi?id=686595

2012-10-24 20:10:03 +0800  Scott Fan <fanchp@neusoft.com>

	* gst/asfdemux/Makefile.am:
	* gst/realmedia/Makefile.am:
	  Makefile.am: Fix typos for generating the Android.mk files
	  Change libgstasfdemux to libgstasf, and change libgstrealmedia to libgstrmdemux.
	  The typos led to generate the incorrect Android.mk files for the asfdemux
	  and realmedia plugin.
	  https://bugzilla.gnome.org/show_bug.cgi?id=686748

2012-10-24 00:21:45 +0200  Carlos Rafael Giani <dv@pseudoterminal.org>

	* ext/mpg123/gstmpg123audiodec.c:
	  mpg123: cleaned up comments, formatting, and logging lines
	  also replaced mpg123decoder->handle != NULL checks with asserts
	  https://bugzilla.gnome.org/show_bug.cgi?id=686595

2012-10-18 22:19:04 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* ext/dvdread/dvdreadsrc.c:
	  dvdreadsrc: correctly set next cell when seeking to sector

2012-10-18 22:18:28 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* gst/dvdsub/gstdvdsubparse.c:
	  dvdsubparse: send src caps when receiving sink caps

2012-10-12 14:49:28 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* ext/dvdread/dvdreadsrc.c:
	  dvdreadsrc: update dvd event to enhanced approach
	  ... in line with resindvdsrc.

2012-10-07 17:08:37 +0100  Tim-Philipp Müller <tim@centricular.net>

	* docs/Makefile.am:
	  docs: add 'make upload' target for new-release script

2012-10-07 16:58:10 +0100  Tim-Philipp Müller <tim@centricular.net>

	* configure.ac:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* docs/plugins/inspect/plugin-xingmux.xml:
	* win32/common/config.h:
	  Back to development (bug fixing)

=== release 1.0.1 ===

2012-10-07 16:13:11 +0100  Tim-Philipp Müller <tim@centricular.net>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-lame.xml:
